SET FOREIGN_KEY_CHECKS=0;

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}acl_objects`;
CREATE TABLE `{install:prefix}acl_objects` (
	`id` int(10) unsigned NOT NULL auto_increment,
	`pre_object` char(40) NOT NULL,
	`object` char(30) NOT NULL,
	`action` char(15) NOT NULL default 'read',
	`access` tinyint(1) unsigned NOT NULL default 1,
	`extras` char(40) NOT NULL,
	PRIMARY KEY (`id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}acl_privileges`;
CREATE TABLE `{install:prefix}acl_privileges` (
	`id` int(10) unsigned NOT NULL auto_increment,
	`type` enum('user', 'group', 'plan') NOT NULL default 'group',
	`type_id` mediumint(8) unsigned NOT NULL,
	`access` tinyint(1) unsigned NOT NULL,
	`action` varchar(15) NOT NULL default 'read',
	`object` varchar(50) NOT NULL,
	`object_id` varchar(150) NOT NULL default '0',
	`extras` varchar(40) NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `UNIQUE` (`type`, `type_id`, `action`, `object`, `object_id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}admin_actions`;
CREATE TABLE `{install:prefix}admin_actions` (
	`id` mediumint(8) unsigned NOT NULL auto_increment,
	`name` varchar(64) NOT NULL,
	`url` varchar(100) NOT NULL,
	`icon` varchar(50) default NULL,
	`attributes` tinytext NOT NULL,
	`extras` varchar(40) NOT NULL,
	`pages` tinytext NOT NULL,
	`text` varchar(50) default NULL,
	`type` enum('regular', 'dashboard') default 'regular',
	`order` smallint(5) unsigned NOT NULL,
	PRIMARY KEY (`id`),
	KEY `TYPE` (`type`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}admin_pages`;
CREATE TABLE `{install:prefix}admin_pages` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`group` smallint(4) unsigned NOT NULL,
	`name` varchar(50) NOT NULL,
	`order` smallint(5) unsigned NOT NULL,
	`alias` varchar(150) NOT NULL,
	`title` varchar(150) NOT NULL,
	`extras` varchar(40) NOT NULL,
	`filename` varchar(50) NOT NULL,
	`attr` varchar(150) default NULL,
	`menus` set('menu', 'header') NOT NULL default 'menu',
	`status` enum('active', 'inactive') NOT NULL default 'active',
	`readonly` tinyint(1) unsigned NOT NULL,
	`action` char(15) NOT NULL default 'read',
	`parent` varchar(50) NOT NULL,
	PRIMARY KEY (`id`),
	KEY `NAME` (`name`),
	KEY `ALIAS` (`alias`),
	KEY `GROUP` (`group`),
	KEY `MENUS` (`menus`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}admin_pages_groups`;
CREATE TABLE `{install:prefix}admin_pages_groups` (
	`id` smallint(4) unsigned NOT NULL auto_increment,
	`order` smallint(4) unsigned NOT NULL,
	`name` varchar(50) NOT NULL,
	`title` varchar(150) NOT NULL,
	`extras` varchar(40) NOT NULL,
	PRIMARY KEY (`id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}blocks`;
CREATE TABLE `{install:prefix}blocks` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`title` varchar(64) NOT NULL,
	`name` varchar(30) NOT NULL,
	`contents` text,
	`order` smallint(5) unsigned NOT NULL,
	`position` varchar(30) NOT NULL default 'left',
	`type` enum('plain', 'smarty', 'php', 'html', 'menu') NOT NULL default 'plain',
	`extras` varchar(40) NOT NULL,
	`status` enum('active', 'inactive') NOT NULL default 'active',
	`header` tinyint(1) unsigned NOT NULL,
	`collapsible` tinyint(1) unsigned NOT NULL,
	`sticky` tinyint(1) unsigned NOT NULL,
	`rss` tinytext NOT NULL,
	`multi_language` tinyint(1) unsigned NOT NULL,
	`lang` char(2) NOT NULL,
	`tpl` varchar(64) NOT NULL,
	`filename` text,
	`external` tinyint(1) NOT NULL,
	`removable` tinyint(1) unsigned NOT NULL default 1,
	`subpages` text NOT NULL,
	`classname` varchar(50) NOT NULL,
	PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQUE` (`name`, `extras`),
	KEY `STATUS` (`status`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}blocks_pages`;
CREATE TABLE `{install:prefix}blocks_pages` (
	`id` mediumint(7) unsigned NOT NULL auto_increment,
	`page_name` char(30) NOT NULL,
	`block_id` smallint(5) unsigned NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `UNIQUE` (`page_name`,`block_id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}config`;
CREATE TABLE `{install:prefix}config` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`config_group` varchar(50) NOT NULL,
	`name` varchar(64) NOT NULL,
	`value` text,
	`multiple_values` text,
	`type` enum('text', 'textarea', 'checkbox', 'radio', 'select', 'combo', 'divider', 'hidden', 'password', 'image', 'itemscheckbox', 'tpl') NOT NULL default 'text',
	`wysiwyg` tinyint(1) unsigned NOT NULL,
	`code_editor` tinyint(1) unsigned NOT NULL,
	`description` text,
	`order` smallint(5) unsigned NOT NULL,
	`extras` varchar(40) NOT NULL,
	`private` tinyint(1) unsigned NOT NULL,
	`custom` tinyint(1) unsigned NOT NULL,
	`show` varchar(100) NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `NAME` (`name`),
	KEY `TYPE` (`type`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}config_custom`;
CREATE TABLE `{install:prefix}config_custom` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`name` varchar(64) NOT NULL,
	`value` text NOT NULL,
	`type` enum('user', 'group', 'plan') NOT NULL default 'group',
	`type_id` mediumint(8) unsigned NOT NULL,
	PRIMARY KEY (`id`),
	KEY `NAME` (`name`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}config_groups`;
CREATE TABLE `{install:prefix}config_groups` (
	`name` varchar(50) NOT NULL,
	`title` varchar(150) NOT NULL,
	`order` smallint(4) unsigned NOT NULL,
	`extras` varchar(40) NOT NULL,
  PRIMARY KEY (`name`),
  KEY `PLUGIN` (`extras`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}cron`;
CREATE TABLE `{install:prefix}cron` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`name` varchar(20) NOT NULL,
	`nextrun` int(10) unsigned NOT NULL,
	`data` tinytext NOT NULL,
	`active` tinyint(1) unsigned NOT NULL default 1,
	`extras` varchar(40) NOT NULL,
	PRIMARY KEY (`id`),
	KEY `NAME` (`name`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}extras`;
CREATE TABLE `{install:prefix}extras` (
	`id` smallint(4) unsigned NOT NULL auto_increment,
	`name` varchar(40) NOT NULL,
	`type` enum('plugin', 'package', 'core') NOT NULL default 'plugin',
	`author` varchar(75) NOT NULL,
	`contributor` varchar(75) NOT NULL,
	`title` varchar(150) NOT NULL,
	`items` text,
	`url` varchar(50) NOT NULL,
	`status` enum('active', 'inactive') NOT NULL default 'active',
	`date` datetime NOT NULL,
	`version` varchar(15) NOT NULL,
	`summary` text,
	`uninstall_code` text,
	`uninstall_sql` text,
	`removable` tinyint(1) unsigned NOT NULL default 1,
	`rollback_data` text NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `UNIQUE` (`name`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}favorites`;
CREATE TABLE `{install:prefix}favorites` (
	`id` int(10) unsigned NOT NULL,
	`member_id` int(11) unsigned NOT NULL,
	`item` varchar(50) NOT NULL,
	UNIQUE KEY `UNIQUE` (`id`, `member_id`, `item`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}fields`;
CREATE TABLE `{install:prefix}fields` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`group` smallint(5) unsigned NOT NULL default 1,
	`extras` varchar(40) NOT NULL,
	`name` varchar(60) NOT NULL,
	`item` varchar(50) NOT NULL default 'members',
	`fieldgroup_id` smallint(5) unsigned NOT NULL,
	`type` enum('text', 'url', 'number', 'date', 'textarea', 'combo', 'radio', 'checkbox', 'storage', 'image', 'pictures') NOT NULL default 'text',
	`length` mediumint(7) unsigned NOT NULL,
	`values` text,
	`default` tinytext NOT NULL,
	`order` smallint(5) unsigned NOT NULL,
	`editable` tinyint(1) unsigned NOT NULL default 1,
	`required` tinyint(1) unsigned NOT NULL,
	`required_checks` text NOT NULL,
	`extra_actions` text NOT NULL,
	`adminonly` tinyint(1) unsigned NOT NULL,
	`searchable`tinyint(1) unsigned NOT NULL,
	`sort_order` enum('asc', 'desc') NOT NULL default 'asc',
	`show_as` enum('combo', 'radio', 'checkbox') NOT NULL default 'combo',
	`for_plan` tinyint(1) unsigned NOT NULL,
	`status` enum('active', 'inactive') NOT NULL default 'active',
	`image_width` smallint(5) unsigned NOT NULL,
	`image_height` smallint(5) unsigned NOT NULL,
	`thumb_width` smallint(5) unsigned NOT NULL,
	`thumb_height` smallint(5) unsigned NOT NULL,
	`resize_mode` enum('crop', 'fit') NOT NULL default 'crop',
	`file_prefix` varchar(50) NOT NULL,
	`file_types` text NOT NULL,
	`use_editor` tinyint(1) unsigned NOT NULL,
	`plans` varchar(250) NOT NULL,
	`url_nofollow` tinyint(1) unsigned NOT NULL default 1,
	`empty_field` tinytext NOT NULL,
	`link_to` tinyint(1) unsigned NOT NULL,
	`relation` enum('regular', 'parent', 'dependent') NOT NULL default 'regular',
	`folder_name` varchar(150) NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `UNIQUE` (`name`, `item`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}fields_groups`;
CREATE TABLE `{install:prefix}fields_groups` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`name` varchar(50) NOT NULL,
	`item` varchar(50) NOT NULL default 'members',
	`order` smallint(5) unsigned NOT NULL,
	`extras` varchar(40) NOT NULL,
	`collapsible` tinyint(1) unsigned NOT NULL,
	`collapsed` tinyint(1) unsigned NOT NULL default 1,
	`tabview` tinyint(1) unsigned NOT NULL,
	`tabcontainer` varchar(60) NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `UNIQUE` (`name`, `item`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}fields_pages`;
CREATE TABLE `{install:prefix}fields_pages` (
	`id` mediumint(7) unsigned NOT NULL auto_increment,
	`page_name` varchar(50) NOT NULL,
	`field_id` smallint(5) unsigned NOT NULL,
	`extras` varchar(40) NOT NULL,
	PRIMARY KEY (`id`),
	KEY `PAGE` (`page_name`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}fields_relations`;
CREATE TABLE `{install:prefix}fields_relations` (
	`id` mediumint(8) unsigned NOT NULL auto_increment,
	`field` varchar(50) NOT NULL,
	`element` varchar(50) NOT NULL,
	`child` varchar(50) NOT NULL,
	`item` varchar(30) NOT NULL,
	`extras` varchar(40) NOT NULL,
	PRIMARY KEY (`id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}hooks`;
CREATE TABLE `{install:prefix}hooks` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`extras` varchar(40) NOT NULL,
	`name` varchar(100) NOT NULL,
	`code` text,
	`status` enum('active', 'inactive') NOT NULL default 'active',
	`order` smallint(5) unsigned NOT NULL,
	`pages` tinytext NOT NULL,
	`type` enum('php', 'html', 'smarty', 'plain') NOT NULL default 'php',
	`page_type` enum('admin', 'front', 'both') NOT NULL default 'both',
	`filename` tinytext NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `UNIQUE` (`name`, `extras`),
	KEY `STATUS` (`status`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}items`;
CREATE TABLE `{install:prefix}items` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`payable` tinyint(1) unsigned NOT NULL default 1,
	`item` varchar(50) NOT NULL,
	`package` varchar(50) NOT NULL,
	`pages` tinytext NOT NULL,
	`table_name` varchar(50) NOT NULL,
	`class_name` varchar(50) NOT NULL,
	PRIMARY KEY (`id`),
	KEY `ITEM` (`item`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}items_pages`;
CREATE TABLE `{install:prefix}items_pages` (
	`id` mediumint(8) unsigned NOT NULL auto_increment,
	`page_name` varchar(50) NOT NULL,
	`item` varchar(30) NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `UNIQUE` (`page_name`, `item`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}language`;
CREATE TABLE `{install:prefix}language` (
	`id` int(10) unsigned NOT NULL auto_increment,
	`key` varchar(64) NOT NULL,
	`original` text NOT NULL,
	`value` text NOT NULL,
	`category` enum('admin', 'frontend', 'common', 'page', 'tooltip') NOT NULL default 'frontend',
	`code` char(2) NOT NULL,
	`extras` varchar(40) NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `UNIQUE` (`key`, `category`, `code`, `extras`),
	KEY `LANG` (`code`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}logs`;
CREATE TABLE `{install:prefix}logs` (
  `id` int(8) unsigned NOT NULL auto_increment,
  `date` datetime NOT NULL,
  `action` tinyint(3) unsigned NOT NULL,
  `user_id` int(11) unsigned default NULL,
  `extras` varchar(40) NOT NULL,
  `params` text NULL,
  PRIMARY KEY (`id`),
  KEY `PLUGIN` (`extras`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}members`;
CREATE TABLE `{install:prefix}members` (
	`id` int(11) unsigned NOT NULL auto_increment,
	`usergroup_id` smallint(5) unsigned NOT NULL default 8,
	`username` varchar(50) NOT NULL,
	`password` char(32) NOT NULL,
	`email` varchar(200) NOT NULL,
	`sec_key` varchar(32) NOT NULL,
	`status` enum('approval', 'active', 'unconfirmed', 'suspended') NOT NULL default 'active',
	`date_reg` datetime NOT NULL,
	`date_update` datetime NOT NULL,
	`date_logged` datetime NULL,
	`fullname` tinytext NOT NULL,
	`avatar` tinytext NOT NULL,
	`funds` decimal(12,2) unsigned NOT NULL,
	`disable_fields` tinyint(1) unsigned NOT NULL,
	`admin_columns` text NOT NULL,
	`featured` tinyint(1) unsigned NOT NULL,
	`featured_start` datetime NULL,
	`featured_end` datetime NULL,
	`sponsored` tinyint(1) unsigned NOT NULL,
	`sponsored_start` datetime NULL,
	`sponsored_end` datetime NULL,
	`sponsored_plan_id` smallint(5) unsigned NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `USERNAME` (`username`),
	UNIQUE KEY `EMAIL` (`email`),
	KEY `STATUS` (`status`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}menus`;
CREATE TABLE `{install:prefix}menus` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`menu_id` smallint(5) unsigned NOT NULL,
	`parent_id` varchar(10) NOT NULL,
	`el_id` varchar(10) NOT NULL,
	`page_name` varchar(100) NOT NULL default 'none',
	`level` smallint(4) unsigned NOT NULL,
	PRIMARY KEY (`id`),
	KEY `MENU` (`menu_id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}online`;
CREATE TABLE `{install:prefix}online` (
	`id` int(11) unsigned NOT NULL auto_increment,
	`is_bot` tinyint(1) unsigned NOT NULL,
	`session_id` char(32) NOT NULL,
	`date` datetime NOT NULL,
	`status` enum('active', 'expired') NOT NULL default 'active',
	`username` varchar(50) NOT NULL,
	`fullname` tinytext NOT NULL,
	`page` varchar(150) NOT NULL,
	`ip` bigint(12) NOT NULL,
	PRIMARY KEY (`id`),
	KEY `INDEX` (`session_id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}pages`;
CREATE TABLE `{install:prefix}pages` (
	`id` mediumint(7) unsigned NOT NULL auto_increment,
	`group` smallint(5) unsigned NOT NULL default 1,
	`name` varchar(50) NOT NULL,
	`service` tinyint(1) unsigned NOT NULL,
	`readonly` tinyint(1) unsigned NOT NULL,
	`status` enum('active', 'inactive', 'draft') NOT NULL default 'draft',
	`last_updated` datetime NOT NULL,
	`order` mediumint(7) unsigned NOT NULL,
	`alias` varchar(150) NOT NULL,
	`nofollow` tinyint(1) unsigned NOT NULL,
	`extras` varchar(40) NOT NULL,
	`passw` char(32) NOT NULL,
	`filename` varchar(50) NOT NULL,
	`custom_url` tinytext NOT NULL,
	`menus` set('main', 'bottom', 'account', 'inventory') NOT NULL default '',
	`meta_description` tinytext,
	`meta_keywords` tinytext,
	`action` char(15) NOT NULL default 'read',
	`parent` varchar(50) NOT NULL,
	`suburl` varchar(150) NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `NAME` (`name`),
	KEY `ALIAS` (`alias`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}payment_gateways`;
CREATE TABLE `{install:prefix}payment_gateways` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`name` varchar(100) NOT NULL,
	`gateway` varchar(250) NOT NULL,
	`plugin` varchar(50) NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `NAME` (`name`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}plans`;
CREATE TABLE IF NOT EXISTS `{install:prefix}plans` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`cost` decimal(10,2) unsigned NOT NULL,
	`item` varchar(50) default NULL,
	`data` text,
	`days` smallint(5) unsigned NOT NULL,
	`order` tinyint(3) unsigned NOT NULL,
	`status` enum('inactive', 'active') NOT NULL default 'inactive',
	`email_expire` varchar(128) NOT NULL,
	`duration` tinytext NOT NULL,
	`units_duration` varchar(200) NOT NULL,
	`recurring` tinyint(1) unsigned NOT NULL,
	`email` varchar(128) NOT NULL,
	`usergroup` smallint(5) unsigned NOT NULL,
	PRIMARY KEY (`id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}search`;
CREATE TABLE `{install:prefix}search` (
	`id` smallint(5) unsigned NOT NULL auto_increment,
	`member_id` int(11) unsigned NOT NULL,
	`ip` bigint(12) NOT NULL,
	`query` varchar(200) NOT NULL,
	`terms` text,
	`time` int(10) NOT NULL,
	PRIMARY KEY (`id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}transactions`;
CREATE TABLE `{install:prefix}transactions` (
	`id` int(10) unsigned NOT NULL auto_increment,
	`member_id` int(11) unsigned NOT NULL,
	`order_number` varchar(100) NOT NULL,
	`date` datetime NOT NULL,
	`total` decimal(10,2) unsigned NOT NULL,
	`status` enum('pending','passed','failed','refunded') NOT NULL default 'pending',
	`operation_name` varchar(100) NOT NULL,
	`gateway_name` varchar(100) NOT NULL,
	`currency` varchar(10) NOT NULL,
	`sec_key` varchar(14) NOT NULL,
	`plan_id` smallint(5) unsigned NOT NULL,
	`item` varchar(30) NOT NULL,
	`item_id` int(11) unsigned NOT NULL,
	`email` varchar(150) default NULL,
	`return_url` tinytext NOT NULL,
	`payment_status` varchar(10) NOT NULL ,
	`subscr_number` varchar(50) NOT NULL,
	`txn_type` varchar(50) NOT NULL,
	`pending_reason` varchar(150) NOT NULL,
	PRIMARY KEY (`id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}usergroups`;
CREATE TABLE `{install:prefix}usergroups` (
	`id` smallint(5) unsigned NOT NULL,
	`title` varchar(100) NOT NULL,
	`system` tinyint(1) unsigned NOT NULL,
	PRIMARY KEY (`id`)
) {install:mysql_version};

{install:drop_tables}DROP TABLE IF EXISTS `{install:prefix}views_log`;
CREATE TABLE `{install:prefix}views_log` (
	`id` int(10) unsigned NOT NULL auto_increment,
	`item` char(16) NOT NULL,
	`item_id` int(11) unsigned NOT NULL,
	`ip` bigint(12) NOT NULL,
	`date` date NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `UNIQUE` (`item`, `item_id`, `ip`, `date`)
) {install:mysql_version};

-- ----------------------------
-- Records
-- ----------------------------
INSERT INTO `{install:prefix}acl_privileges` (`type_id`, `access`, `object`, `object_id`) VALUES
(4, 0, 'admin_login', '0'),
(4, 0, 'pages', 'member_balance'),
(4, 0, 'pages', 'favorites'),
(4, 0, 'pages', 'profile'),
(8, 1, 'pages', 'profile');

INSERT INTO `{install:prefix}acl_objects` (`pre_object`, `object`, `action`, `access`) VALUES
('pages', 'pages', 'read', 1),
('pages', 'pages', 'add', 0),
('pages', 'pages', 'edit', 0),
('pages', 'pages', 'delete', 0),
('field', 'field', 'read', 1),
('block', 'block', 'read', 1),
('menu', 'menu', 'read', 1),
('pages', 'profile', 'read', 1),

('admin_login', 'admin_login', 'read', 0),
('admin_pages', 'admin_pages', 'read', 1),
('admin_pages', 'admin_pages', 'add', 0),
('admin_pages', 'admin_pages', 'edit', 0),
('admin_pages', 'admin_pages', 'delete', 0),
('admin_pages', 'configuration', 'read', 1),
('admin_pages', 'configuration', 'edit', 0),
('admin_pages', 'database_manage', 'read', 1),
('admin_pages', 'database_manage', 'sql', 1),
('admin_pages', 'database_manage', 'export', 0),
('admin_pages', 'database_manage', 'import', 0),
('admin_pages', 'database_manage', 'consistency', 1),
('admin_pages', 'database_manage', 'reset', 1),
('admin_pages', 'hooks', 'read', 1),
('admin_pages', 'hooks', 'edit', 0),
('admin_pages', 'hooks', 'delete', 0),
('admin_pages', 'pages', 'read', 1),
('admin_pages', 'pages', 'add', 0),
('admin_pages', 'pages', 'edit', 0),
('admin_pages', 'pages', 'delete', 0),
('admin_pages', 'pages', 'home', 0),
('admin_pages', 'plugins', 'install', 1),
('admin_pages', 'plugins', 'uninstall', 0),
('admin_pages', 'plugins', 'reinstall', 0),
('admin_pages', 'plugins', 'update', 0),
('admin_pages', 'packages', 'activate', 0),
('admin_pages', 'packages', 'set_default', 0),
('admin_pages', 'packages', 'uninstall', 0),
('admin_pages', 'packages', 'install', 0),
('admin_pages', 'packages', 'upgrade', 0),
('admin_pages', 'blocks', 'edit', 0),
('admin_pages', 'blocks', 'delete', 0),
('admin_pages', 'blocks', 'add', 0),
('admin_pages', 'blocks', 'smarty', 1),
('admin_pages', 'blocks', 'plain', 1),
('admin_pages', 'blocks', 'php', 1),
('admin_pages', 'blocks', 'html', 1),
('admin_pages', 'members', 'password', 0),
('admin_pages', 'members', 'usergroup', 0),
('admin_pages', 'members', 'edit', 0),
('admin_pages', 'members', 'add', 0),
('admin_pages', 'members', 'delete', 0),
('admin_pages', 'usergroups', 'add', 0),
('admin_pages', 'usergroups', 'edit', 0),
('admin_pages', 'usergroups', 'delete', 0),
('admin_pages', 'plans', 'add', 0),
('admin_pages', 'plans', 'edit', 0),
('admin_pages', 'plans', 'delete', 0),
('admin_pages', 'fields', 'add', 0),
('admin_pages', 'fields', 'edit', 0),
('admin_pages', 'fields', 'delete', 0),
('admin_pages', 'fields', 'members', 0),
('admin_pages', 'fieldgroups', 'add', 0),
('admin_pages', 'fieldgroups', 'edit', 0),
('admin_pages', 'fieldgroups', 'delete', 0),
('admin_pages', 'blocks', 'visual', 0),
('admin_pages', 'blocks', 'order', 0),
('admin_pages', 'index', 'cache', 1),
('admin_pages', 'index', 'phpinfo', 0),
('admin_pages', 'index', 'sitemap', 1);

INSERT INTO `{install:prefix}admin_actions` (`name`, `url`, `icon`, `attributes`, `pages`, `text`, `type`, `order`) VALUES
('members_list', 'members/', 'list', '', 'members,member_add,usergroups', 'Members', 'regular', 1),
('member_add', 'members/add/', 'user', '', 'members,member_add,usergroups', 'add_member', 'regular', 2),
('usergroups_list', 'usergroups/', 'grid', '', 'members,member_add,usergroups', 'Usergroups', 'regular', 3),
('usergroups_add', 'usergroups/add/', 'users', '', 'members,member_add,usergroups', 'Add Usergroup', 'regular', 4),
('member_fields', 'fields/members/', 'signup', '', 'members,member_add,usergroups', 'View Fields', 'regular', 5),
('blocks_delete', 'javascript:;', 'remove', 'id="js-delete-block"', 'block_edit', 'delete', 'regular', 1),
('blocks_list', 'blocks/', 'grid', '', 'block_add,block_edit', 'Blocks', 'regular', 2),
('blocks_add', 'blocks/add/', 'plus-alt', '', 'blocks,block_edit', 'add_block', 'regular', 3),
('visual_manage', 'visual/', 'screen', ' target="_blank"', 'blocks', 'visual_manage', 'regular', 4),
('db_sql', 'database/sql/', 'database', '', 'database_manage', 'sql_management', 'regular', 1),
('db_reset', 'database/reset/', 'loop', '', 'database_manage', 'reset', 'regular', 2),
('db_consistency', 'database/consistency/', 'spinner', '', 'database_manage', 'consistency', 'regular', 3),
('db_export', 'database/export/', 'box-remove', '', 'database_manage', 'Export', 'regular', 5),
('db_import', 'database/import/', 'box-add', '', 'database_manage', 'Import', 'regular', 6),
('fields_list', 'fields/', 'list', '', 'fields,fields_edit,members_fields', 'View Fields', 'regular', 1),
('field_add', 'fields/add/', 'plus-alt', '', 'fields,fields_edit,members_fields', 'Add field', 'regular', 2),
('field_groups_list', 'fields/group/', 'list-2', '', 'fieldgroups,members_fields', 'Field Groups', 'regular', 3),
('field_groups_add', 'fields/group/add/', 'folder-plus', '', 'fieldgroups,members_fields', 'Add Field Group', 'regular', 4),
('languages_list', 'language/', 'list', '', 'language_manage', 'view', 'regular', 1),
('language_add', 'language/copy/', 'copy', '', 'languages', 'new_language', 'regular', 2),
('languages_download', 'language/download/', 'box-remove', '', 'languages', 'Download', 'regular', 3),
('language_phrase_add', 'javascript:;', 'plus-alt', 'id="js-add-phrase-cmd"', 'languages', 'Add Phrase', 'regular', 4),
('languages_comparison', 'language/comparison/', 'link-2', '', 'languages', 'languages_comparison', 'regular', 5),
('menu_list', 'menus/', 'list', '', 'menus', 'Menus', 'regular', 3),
('menu_add', 'menus/add/', 'plus-alt', '', 'menus', 'Add Menu', 'regular', 4),
('pages_delete', 'javascript:;', 'remove', 'id="js-delete-page"', 'page_edit', 'delete', 'regular', 1),
('pages_list', 'pages/', 'list', '', 'page_add,page_edit', 'Pages', 'regular', 2),
('pages_add', 'pages/add/', 'plus-alt', '', 'pages,page_edit', 'Add Page', 'regular', 3),
('plans_list', 'plans/', 'list', '', 'plan_add,plan_edit', 'Plans', 'regular', 3),
('plans_add', 'plans/add/', 'plus-alt', '', 'plans', 'Add Plan', 'regular', 4),
('transaction_add', 'javascript:;', 'plus', 'id="js-add-transaction-cmd"', 'transactions', 'Add Transaction', 'regular', 1),
('tags_list', 'javascript:;', 'eye', 'id="js-view-tags"', 'email_templates', 'View Tags', 'regular', 1),

('dashboard_blocks_list', 'blocks/', 'grid', '', '', 'Edit Blocks', 'dashboard', 0),
('dashboard_pages_add', 'pages/add/', 'copy', '', '', 'Create Page', 'dashboard', 0);

INSERT INTO `{install:prefix}admin_pages` (`group`, `title`, `name`, `action`, `parent`, `filename`, `alias`, `menus`, `attr`, `order`) VALUES
(0, 'Dashboard', 'index', 'read', '', 'index', '', 'menu', null, 0),
(3, 'Add Member', 'member_add', 'add', 'members', 'members', 'members/add/', null, null, 0),
(0, 'Actions', 'actions', 'actions', 'index', 'actions', '', null, null, 0),
(0, 'Change Order', 'order-change', 'order', 'blocks', '', 'order-change/', null, null, 0),
(0, 'Clear Cache', 'clear_cache', 'cache', 'index', 'index', 'clear/cache/', 'header', null, 35),
(2, 'Add Page', 'page_add', 'add', 'pages', 'pages', 'pages/add/', null, null, 0),
(2, 'Edit Page', 'page_edit', 'edit', 'pages', 'pages', 'pages/edit/', null, null, 0),
(2, 'Add Block', 'block_add', 'add', 'blocks', 'blocks', 'blocks/add/', null, null, 0),
(2, 'Edit Block', 'block_edit', 'edit', 'blocks', 'blocks', 'blocks/edit/', null, null, 0),
(4, 'Add Plan', 'plan_add', 'add', 'plans', 'plans', 'plans/add/', null, null, 0),
(4, 'Edit Plan', 'plan_edit', 'edit', 'plans', 'plans', 'plans/edit/', null, null, 0),
(0, '', '', '', '', '', '', 'header', null, 20),
(0, 'MySQL Tools', 'adminer', 'read', '', 'adminer', 'adminer/', 'header', null, 25),
(0, '', '', '', '', '', '', 'header', null, 30),
(0, 'Visual Mode', 'visual_manage', 'visual', 'blocks', 'visual', 'visual/', null, 'target=\"_blank\"', 0),

-- SYSTEM
(1, 'Management', '', '', '', '', '', 'menu', null, 0),
(1, 'Settings', 'configuration', 'read', '', 'config', 'configuration/', 'header', null, 5),
(1, 'Database', 'database_manage', 'read', '', 'database', 'database/', 'menu,header', null, 10),
(1, 'Languages', 'languages', 'read', '', 'language', 'language/', 'menu', null, 15),
(1, 'Hooks', 'hooks', 'read', '', 'hooks', '', 'menu', null, 20),
(1, 'E-mail', '', '', '', '', '', 'menu', null, 25),
(1, 'E-mail Templates', 'email_templates', 'read', '', 'email-templates', 'email-templates/', 'menu', null, 30),
(1, 'Extra', '', '', '', '', '', 'menu', null, 35),
(1, 'PHP Info', 'phpinfo', 'phpinfo', 'index', 'index', 'phpinfo/', 'menu,header', null, 40),
(1, 'Generate Sitemap', 'sitemap', 'sitemap', 'index', 'index', 'sitemap/', 'menu,header', null, 45),

-- CONTENT
(2, 'Pages', 'pages', 'read', '', 'pages', 'pages/', 'menu', null, 5),
(2, 'Menus', 'menus', 'read', '', 'menus', 'menus/', 'menu', null, 10),
(2, 'Blocks', 'blocks', 'read', '', 'blocks', 'blocks/', 'menu', null, 15),
(2, 'Extended', '', '', '', '', '', 'menu', null, 25),
(2, 'Field Groups', 'fieldgroups', 'read', '', 'fieldgroups', 'fields/group/', 'menu', null, 30),
(2, 'Fields', 'fields', 'read', '', 'fields', 'fields/', 'menu', null, 35),
(2, 'Extensions', '', '', '', '', '', 'menu', null, 40),

-- MEMBERS
(3, 'Members', 'members', 'read', '', 'members', 'members/', 'menu', null, 5),
(3, 'Usergroups', 'usergroups', 'read', '', 'usergroups', 'usergroups/', 'menu,header', null, 10),
(3, 'Extended', '', '', '', '', '', 'menu', null, 15),
(3, 'Permissions', 'permissions', 'read', '', 'permissions', 'permissions/', null, null, 20),
(3, 'Member Fields', 'members_fields', 'members', 'fields', 'fields', 'fields/members/', 'menu', null, 25),

-- FINANCIAL
(4, 'Plans', 'plans', 'read', '', 'plans', 'plans/', 'menu', null, 5),
(4, 'Transactions', 'transactions', 'read', '', 'transactions', 'transactions/', 'menu', null, 10),

-- EXTENSIONS
(5, 'Templates', 'templates', 'read', '', 'templates', 'templates/', 'menu', null, 5),
(5, 'Plugins', 'plugins', 'read', '', 'plugins', 'plugins/', 'menu', null, 10),
(5, 'Packages', 'packages', 'read', '', 'packages', 'packages/', 'menu', null, 15),
(5, '', '', '', '', '', '', 'menu', null, 20);

INSERT INTO `{install:prefix}admin_pages_groups` (`name`, `title`) VALUES
('system', 'System'),
('content', 'Content'),
('members', 'Members'),
('financial', 'Financial'),
('extensions', 'Extensions');

INSERT INTO `{install:prefix}blocks` VALUES
(1, 'Actions', 'item_actions', '$iaItem = $iaCore->factory(''item'');\r\n\r\nif (false !== strpos($iaCore->iaView->name(), ''view''))\r\n{\r\n	$iaCore->startHook(''smartyItemTools'');\r\n\r\n	$iaItem->setItemTools(array(\r\n		''title'' => iaLanguage::get(''print_preview''),\r\n		''url'' => ''javascript: ;'',\r\n		''id'' => ''print_preview" onclick="window.print(); return false;''\r\n	));\r\n\r\n	$itemData = $iaCore->iaSmarty->getTemplateVars(''item'');\r\n	if (iaUsers::hasIdentity() && $itemData)\r\n	{\r\n		if ((''members'' != $itemData[''item''] && isset($itemData[''member_id'']) && iaUsers::getIdentity()->id != $itemData[''member_id''])\r\n			|| ($itemData[''item''] == ''members'' && iaUsers::getIdentity()->id != $itemData[''id'']))\r\n		{\r\n			$isAlreadyFavorited = isset($itemData[''favorite'']) && $itemData[''favorite''] == 1;\r\n\r\n			$iaItem->setItemTools(array(\r\n				''title'' => iaLanguage::get($isAlreadyFavorited ? ''favorites_remove_from'' : ''favorites_add_to''),\r\n				''url'' => ''javascript: ;'',\r\n				''id'' => ''action-favorite" onclick="intelli.actionFavorites('' . $itemData[''id''] . ", ''"\r\n						. $itemData[''item''] . "'', ''" . ($isAlreadyFavorited ? iaCore::ACTION_DELETE : iaCore::ACTION_ADD) . "'');"\r\n			));\r\n		}\r\n	}\r\n\r\n	$links = $js = $html = '''';\r\n	foreach ($iaItem->setItemTools() as $item)\r\n	{\r\n		$id = empty($item[''id'']) ? '''' : '' id="'' . $item[''id''] . ''"'';\r\n		$links .= ''<li><a href="'' . $item[''url''] . ''" rel="nofollow"'' . $id . ''>'' . $item[''title''] . ''</a></li>'' . PHP_EOL;\r\n		if (isset($item[''js'']))\r\n		{\r\n			$js .= $item[''js''];\r\n		}\r\n		$html .= isset($item[''html'']) ? $item[''html''] : '''';\r\n	}\r\n\r\n	echo ''<ul class="nav nav-pills nav-stacked extra-menu">'' . $links . ''</ul>'' . ($html ? $html : '''')\r\n			. ($js ? ''<script type="text/javascript">'' . $js . ''</script>'' : '''');\r\n}', 1, 'right', 'php', '', 'active', 1, 0, 1, '', 1, '', '', '', 0, 0, 'a:2:{s:7:"members";s:0:"";s:11:"view_member";s:0:"";}', ''),
(2, 'Inventory Menu', 'inventory', '', 0, 'inventory', 'menu', '', 'active', 0, 0, 1, '', 1, '', 'render-menu.tpl', '', '0', 0, '', ''),
(3, 'Main Menu', 'main', '', 0, 'mainmenu', 'menu', '', 'active', 0, 0, 1, '', 1, '', 'render-menu.tpl', '', '0', 0, '', ''),
(4, 'Member Menu', 'account', '', 0, 'right', 'menu', '', 'active', 0, 0, 1, '', 1, '', 'render-menu.tpl', '', '0', 0, '', ''),
(5, 'Bottom Menu', 'bottom', '', 0, 'copyright', 'menu', '', 'active', 0, 0, 1, '', 1, '', 'render-menu.tpl', '', '0', 0, '', ''),
(6, 'Statistics', 'common_statistics', '{foreach $common_statistics as $group => $data}\r\n	<table class="table table-condensed table-striped statistics">\r\n	<thead>\r\n		<tr>\r\n			<th colspan="2">{lang key=$group}</th>\r\n		</tr>\r\n	</thead>\r\n	<tbody>\r\n	{foreach $data as $item}\r\n		<tr>\r\n			<td>{$item.title}:</td>\r\n			<td>{$item.value}</td>\r\n		</tr>\r\n	{/foreach}\r\n	</tbody>\r\n	<tfoot>\r\n	{foreach $data as $item}\r\n		{if isset($item.html)}\r\n		<tr>\r\n			<td colspan="2"><div class="user-list">{$item.html}</div></td>\r\n		</tr>\r\n		{/if}\r\n	{/foreach}\r\n	</tfoot>\r\n	</table>\r\n{/foreach}', 2, 'right', 'smarty', '', 'active', 1, 0, 0, '', 1, '', '', '', 0, 0, '', '');

INSERT INTO `{install:prefix}blocks_pages` VALUES
(NULL, 'index', 6);

INSERT INTO `{install:prefix}config` (`name`, `value`, `type`, `description`, `private`) VALUES
('debug_pass', '', 'hidden', 'Debug password', 1),
('tmpl', '{install:tmpl}', 'hidden', 'Frontend theme', 0),
('baseurl', '{install:base_url}', 'hidden', '', 0),
('languages', 'a:1:{s:2:\"en\";s:7:\"English\";}', 'hidden', '', 0),
('backup', 'backup/', 'hidden', 'Directory for database backups', 1),
('version', '{install:version}', 'hidden', '', 0),
('cron', '1', 'hidden', 'Cron', 0),
('admin_tmpl', 'default', 'hidden', 'Admin Panel theme', 1),
('default_package', '', 'hidden', 'Default package', 1),
('block_positions', 'account,left,right,top,bottom,user1,user2,verybottom,verytop,copyright,inventory,mainmenu,footer1,footer2,footer3,footer4', 'hidden', 'Blocks positions', 0),
('home_page', 'index', 'hidden', '', 1),
('tmpl_rollback_data', '', 'hidden', 'Previous template restoration data', 1),
('tmpl_layout_data', '', 'hidden', 'Template layout information', 1);

INSERT INTO `{install:prefix}config` (`config_group`, `name`, `value`, `multiple_values`, `type`, `wysiwyg`, `description`, `order`, `extras`, `private`, `custom`, `show`) VALUES
('general', 'general_divider', 'General', '1', 'divider', 0, '', 0, '', 1, 1, ''),
('general', 'site', 'Subrion CMS', '1', 'text', 0, 'Site title', 3, '', 0, 1, ''),
('general', 'suffix', ':: Powered by Subrion 3.0', '1', 'text', 0, 'Suffix for page titles', 9, '', 0, 1, ''),
('general', 'site_logo', '', '', 'image', 0, 'Website logo', 12, '', 0, 0, ''),
('general', 'regional_divider', 'Regional', '1', 'divider', 30, '', 20, '', 1, 1, ''),
('general', 'lang', '{install:lang}', '1', 'select', 0, 'Script language', 33, '', 0, 1, ''),
('general', 'language_switch', '0', '''1'',''0''', 'radio', 0, 'Language switching', 36, '', 0, 1, ''),
('general', 'charset', 'UTF-8', '1', 'text', 0, 'Default charset', 39, '', 0, 0, ''),
('general', 'locale', 'en_US', '', 'text', 0, 'Default locale', 42, '', 0, 0, ''),
('general', 'timezone', 'America/New_York', '', 'select', 0, 'Default timezone', 45, '', 0, 0, ''),
('general', 'date_format', '%b %e, %Y', '', 'text', 0, 'Date format', 48, '', 0, 1, ''),
('general', 'pages_config', 'Pages', '1', 'divider', 0, '', 60, '', 1, 1, ''),
('general', 'admin_page', 'admin', NULL, 'text', 0, 'Admin Dashboard URL', 63, '', 1, 0, ''),
('general', 'bc_home', 'Home', NULL, 'text', 0, 'Breadcrumb first element', 66, '', 1, 1, ''),
('general', 'frontend', '1', '''1'',''0''', 'radio', 0, 'Display frontend', 69, '', 1, 1, ''),
('general', 'underconstruction', 'We are sorry. Our site is under construction.', '', 'textarea', 1, 'Under construction message', 72, '', 1, 1, 'frontend|0'),

('pictures', 'pictures_general', 'General', '1', 'divider', 0, '', 0, '', 1, 0, ''),
('pictures', 'allow_animated_gifs', '1', '''1'',''0''', 'radio', 0, 'Allow animated GIFs', 3, '', 1, 0, ''),
('pictures', 'thumb_w', '150', '', 'text', 0, 'Thumbnails default width', 9, '', 1, 0, ''),
('pictures', 'thumb_h', '150', '', 'text', 0, 'Thumbnails default height', 12, '', 1, 0, ''),
('pictures', 'watermark', '0', '''1'',''0''', 'radio', 0, 'Watermark', 15, '', 0, 0, ''),
('pictures', 'site_watermark', '', '', 'image', 0, 'Site watermark', 18, '', 0, 0, 'watermark|1'),
('pictures', 'lightbox_divider', 'Lightbox', '', 'divider', 0, 'Lightbox', 21, '', 1, 1, ''),
('pictures', 'lightbox_name', '', '', 'select', 0, 'Lightbox name', 24, '', 0, 0, ''),

('members', 'members_config_divider', 'General', '1', 'divider', 0, '', 1, '', 1, 0, ''),
('members', 'members_enabled', '1', '''1'',''0''', 'radio', 0, 'Members functionality', 2, '', 1, 0, ''),
('members', 'members_autoapproval', '1', '''1'',''0''', 'radio', 0, 'Members auto-approval', 3, '', 0, 0, 'members_enabled|1'),

('financial', 'financial_configuration_divider', 'General', '1', 'divider', 0, '', 1, '', 1, 0, ''),
('financial', 'currency', 'USD', '', 'text', 0, 'Currency', 1, '', 1, 0, ''),
('financial', 'balance_min_amount', '20', '', 'text', 0, 'Balance min amount', 2, '', 0, 1, ''),

('miscellaneous', 'ckeditor_divider', 'CKeditor', '', 'divider', 0, 'CKeditor', 1, '', 1, 1, ''),
('miscellaneous', 'ckeditor_color', '#B0E0E6', '', 'text', 0, 'CKeditor color', 2, '', 0, 1, ''),
('miscellaneous', 'ckeditor_code_highlighting', '0', '''1'',''0''', 'radio', 0, 'CKeditor code highlighting', 3, '', 0, 1, ''),
('miscellaneous', 'captcha_divider', 'Captcha', '', 'divider', 0, 'Captcha', 4, '', 1, 1, ''),
('miscellaneous', 'captcha', '1', '''1'',''0''', 'radio', 0, 'Captcha', 4, '', 0, 1, ''),
('miscellaneous', 'captcha_name', '', '', 'select', 0, 'Captcha name', 5, '', 0, 0, 'captcha|1'),
('miscellaneous', 'captcha_preview', '', '', 'text', 0, 'Captcha preview', 6, '', 0, 0, 'captcha|1'),

('mail', 'mail_configuration_divider', 'General', '1', 'divider', 0, '', 1, '', 1, 0, ''),
('mail', 'site_from_name', 'Subrion CMS', '1', 'text', 0, 'Default mail name', 1, '', 1, 0, ''),
('mail', 'site_email', '{install:email}', '1', 'text', 0, 'Default site email', 2, '', 1, 0, ''),
('mail', 'default_email_signature', '\r\n<p>______________________________</p>\r\n<p>Thank you,<br>\r\n{%SITE_NAME%} Team<br>\r\n{%SITE_URL%}</p>', '1', 'textarea', 0, 'Default mail signature', 3, '', 1, 0, ''),
('mail', 'mail_function', 'php mail', '''php mail'',''sendmail'',''smtp''', 'select', 0, 'Mail method', 3, '', 1, 0, ''),
('mail', 'smtp_configuration', 'SMTP Settings', '', 'divider', 0, '', 6, '', 1, 0, 'mail_function|smtp'),
('mail', 'smtp_auth', '1', '''1'',''0''', 'radio', 0, 'SMTP Authentication', 7, '', 1, 0, 'mail_function|smtp'),
('mail', 'smtp_server', 'tls://smtp.example.org', '', 'text', 0, 'SMTP Server', 8, '', 1, 0, 'mail_function|smtp'),
('mail', 'smtp_port', '', '', 'text', 0, 'SMTP Port', 9, '', 1, 0, 'mail_function|smtp'),
('mail', 'smtp_user', '', '', 'text', 0, 'SMTP Server Username', 10, '', 1, 0, 'mail_function|smtp'),
('mail', 'smtp_password', '', '', 'password', 0, 'SMTP Server Password', 11, '', 1, 0, 'mail_function|smtp'),
('mail', 'sendmail_configuration', 'Sendmail Settings', '', 'divider', 0, '', 4, '', 1, 0, 'mail_function|sendmail'),
('mail', 'sendmail_path', '/usr/bin/sendmail', '', 'text', 0, 'Path to sendmail ', 5, '', 1, 0, 'mail_function|sendmail'),
('mail', 'mimetype', '1', '''1'',''0''', 'radio', 0, 'Send HTML mime-type emails instead of plain text', 3, '', 1, 0, ''),

('system', 'admin_panel_config_divider', 'Admin Panel Settings', '1', 'divider', 0, '', 1, '', 1, 0, ''),
('system', 'intelliants_latest_news', '0', '''1'',''0''', 'hidden', 0, 'Show Intelliants News', 2, '', 1, 0, ''),
('system', 'admin_online_expiry_time', '180', '', 'text', 0, 'Session expire time (in minutes)', 3, '', 1, 0, ''),
('system', 'display_feedbacks', '1', '''1'',''0''', 'radio', 0, 'Feedbacks panel display', 4, '', 0, 0, ''),
('system', 'display_changelog', '1', '''1'',''0''', 'radio', 0, 'Changelog panel display', 5, '', 0, 0, ''),
('system', 'display_twitter', '1', '''1'',''0''', 'hidden', 0, 'Twitter in Dashboard', 6, '', 0, 0, ''),
('system', 'check_for_updates', '1', '''1'',''0''', 'radio', 0, 'Check for updates', 7, '', 0, 0, ''),
('system', 'auto_apply_critical_upgrades', '1', '''1'',''0''', 'radio', 0, 'Automatically apply critical upgrades', 7, '', 1, 0, 'check_for_updates|1'),
('system', 'sap_style', 'emerald', 'emerald,roseus,gebeus-waterfall,alizarin,calmy,radiant-orchid', 'select', 0, 'Default colors scheme', 8, '', 0, 1, ''),
('system', 'system_config_divider', 'System configuration', '1', 'divider', 0, '', 8, '', 1, 0, ''),
('system', 'alias_urlencode', '0', '''1'',''0''', 'radio', 0, 'Encode non-Latin symbols in URL', 9, '', 0, 0, ''),
('system', 'redirect_time', '4000', '', 'text', 0, 'Redirect time (ms)', 10, '', 0, 0, ''),
('system', 'prevent_csrf', '1', '''1'',''0''', 'radio', 0, 'Prevent CSRF attack', 33, '', 1, 0, ''),
('system', 'caching', '0', '''1'',''0''', 'hidden', 0, 'Caching', 34, '', 1, 0, ''),
('system', 'smarty_cache', '0', '''1'',''0''', 'radio', 0, 'Smarty force compile', 35, '', 0, 0, ''),
('system', 'compress_js', '0', '''1'',''0''', 'radio', 0, 'Compress Javascript', 36, '', 0, 0, ''),

('email_templates', 'member_optgroup', '', '', 'divider', 0, 'Members', 0, '', 1, 1, ''),
('email_templates', 'member_approved', '1', '''1'',''0''', 'radio', 0, 'Member Approval', 1, '', 1, 1, ''),
('email_templates', 'member_approved_subject', 'Member was approved at {%SITE_NAME%}', '', 'text', 0, 'Email subject', 17, '', 1, 1, ''),
('email_templates', 'member_approved_body', '<p>Dear {%FULLNAME%},</p>\r\n<p>Your membership was approved in {%SITE_NAME%}. Now you can log in.</p>', '', 'textarea', 1, 'HTML Body', 18, '', 1, 1, ''),
('email_templates', 'member_disapproved', '1', '''1'',''0''', 'radio', 0, 'Member Cancellation', 2, '', 1, 1, ''),
('email_templates', 'member_disapproved_subject', 'Member was disapproved at {%SITE_NAME%}', '', 'text', 0, 'Email subject', 21, '', 1, 1, ''),
('email_templates', 'member_disapproved_body', '<p>Dear {%FULLNAME%},</p>\r\n<p>Your membership was disapproved in {%SITE_NAME%}.</p>', '', 'textarea', 1, 'HTML Body', 22, '', 1, 1, ''),
('email_templates', 'member_registration', '1', '''1'',''0''', 'radio', 0, 'Member Registration', 3, '', 1, 1, ''),
('email_templates', 'member_registration_subject', 'Thanks for registration at {%SITE_NAME%}', '', 'text', 0, 'Subject: ', 3, '', 1, 1, ''),
('email_templates', 'member_registration_body', '<p>Dear {%FULLNAME%},</p> <p>Thanks for your registration at <a href="{%SITE_URL%}" target="_blank">{%SITE_URL%}</a>. Here is information you should use in order to login:</p> <p>Your e-mail: {%EMAIL%}<br /> Your password: {%PASSWORD%}</p> <p>To activate your account, please, <a href="{%LINK%}" target="_blank">follow this link</a>. <br /> You may change your password later by editing your personal attributes in your member area.</p>', '', 'textarea', 1, 'HTML Body', 3, '', 1, 1, ''),
('email_templates', 'member_registration_admin_subject', 'Member has been created {%SITE_NAME%}', '', 'text', 0, 'Subject (admin registration): ', 4, '', 1, 1, ''),
('email_templates', 'member_registration_admin_body', '<p>Greetings {%FULLNAME%},</p> <p>Administrator has just created an account for you at {%SITE_URL%}. Here is information you should use in order to login:</p> <p>Your email: <b>{%EMAIL%}</b><br /> Your password: <b>{%PASSWORD%}</b></p>', '', 'textarea', 1, 'HTML Body (admin registration)', 4, '', 1, 1, ''),
('email_templates', 'member_removal', '1', '''1'',''0''', 'radio', 0, 'Member Removal', 4, '', 1, 1, ''),
('email_templates', 'member_removal_subject', 'Member deleted at {%SITE_NAME%}', '', 'text', 0, 'Email subject', 5, '', 1, 1, ''),
('email_templates', 'member_removal_body', '<p>Dear {%FULLNAME%},</p>\r\n<p>Your membership was removed from  {%SITE_URL%}.</p>', '', 'textarea', 1, 'HTML Body', 8, '', 1, 1, ''),
('email_templates', 'password_restoration', '1', '''1'',''0''', 'radio', 0, 'Member Password Restoration', 6, '', 1, 1, ''),
('email_templates', 'password_restoration_subject', 'Password restoration request at {%SITE_NAME%}', NULL, 'text', 0, 'Email Subject', 10, '', 1, 1, ''),
('email_templates', 'password_restoration_body', '<p>Dear {%FULLNAME%},</p>\r\n<p>Please follow this link if you wish to change the password at {%SITE_URL%}:<br />\r\n{%URL%}\r\n</p>\r\n<p>\r\nOr use confirmation code on page: {%SITE_URL%}forgot/?code<br />\r\nE-mail: {%EMAIL%}<br />\r\nCode: {%CODE%}\r\n</p>', NULL, 'textarea', 1, 'Email Body', 11, '', 1, 1, ''),
('email_templates', 'password_changement', '1', '''1'',''0''', 'radio', 0, 'Member Password Change', 7, '', 1, 1, ''),
('email_templates', 'password_changement_subject', 'Password change request at {%SITE_NAME%}', '', 'text', 0, 'Email subject', 13, '', 1, 1, ''),
('email_templates', 'password_changement_body', '<p>Dear {%FULLNAME%},</p>\r\n\r\n<p>You requested a password change in {%SITE_NAME%}. Now you should use the following credentials to log in as member:</p>\r\n\r\n<p>username: {%USERNAME%}<br />\r\npassword:  {%PASSWORD%}</p>', '', 'textarea', 1, 'HTML Body', 14, '', 1, 1, '');

INSERT INTO `{install:prefix}config_groups` (`name`, `title`, `order`) VALUES
('general', 'General', 1),
('members', 'Members', 2),
('mail', 'Mail', 3),
('email_templates', 'Email Templates', 4),
('system', 'System', 5),
('pictures', 'Pictures', 6),
('miscellaneous', 'Miscellaneous', 7),
('financial', 'Financial', 8);

INSERT INTO `{install:prefix}cron` (`name`, `nextrun`, `data`) VALUES
('sitemap', 0, '1 1,12 * * * includes/cron/sitemap.php'),
('cleanup', 0, '5 0 * * * includes/cron/cleanup.php');

INSERT INTO `{install:prefix}fields` (`name`, `item`, `fieldgroup_id`, `type`, `length`, `default`, `order`, `editable`, `required`, `extra_actions`, `searchable`, `image_width`, `image_height`, `file_prefix`, `use_editor`, `link_to`) VALUES
('email', 'members', 1, 'text', 250, '', 4, 0, 1, 'if ($_POST[$fieldName])\r\n{\r\n	if (!iaValidate::isEmail($_POST[$fieldName]))\r\n	{\r\n		$error = true;\r\n		$messages[] = iaLanguage::get(''error_email_incorrect'');\r\n		$invalidFields[] = $fieldName;\r\n	}\r\n	else\r\n	{\r\n		$_POST[$fieldName] = strtolower($_POST[$fieldName]);\r\n	}\r\n}', 0, 0, 0, '', 0, 0),
('fullname', 'members', 1, 'text', 250, '', 3, 0, 1, '', 1, 0, 0, '', 0, 0),
('username', 'members', 1, 'text', 50, '', 2, 0, 1, 'if ($_POST[$fieldName] && !iaValidate::isUsername($_POST[$fieldName]))\r\n{\r\n	$error = true;\r\n	$messages[] = iaLanguage::get(''username_incorrect'');\r\n	$invalidFields[] = $fieldName;\r\n}', 1, 0, 0, '', 0, 0),
('avatar', 'members', 1, 'image', 1, '', 1, 1, 0, '', 0, 300, 300, 'avat_', 1, 1),
('member_id', 'transactions', 0, 'text', 100, '', 5, 1, 0, '', 0, 0, 0, '', 0, 0),
('order_number', 'transactions', 0, 'text', 100, '', 6, 1, 0, '', 0, 0, 0, '', 0, 0),
('date', 'transactions', 0, 'date', 0, '', 7, 1, 0, '', 0, 0, 0, '', 0, 0),
('total', 'transactions', 0, 'number', 8, '0', 8, 1, 0, '', 0, 0, 0, '', 0, 0),
('operation_name', 'transactions', 0, 'text', 100, '', 9, 1, 0, '', 0, 0, 0, '', 0, 0),
('gateway_name', 'transactions', 0, 'text', 100, '', 10, 1, 0, '', 0, 0, 0, '', 0, 0),
('currency', 'transactions', 0, 'text', 10, '', 11, 1, 0, '', 0, 0, 0, '', 0, 0),
('sec_key', 'transactions', 0, 'text', 250, '', 12, 1, 0, '', 0, 0, 0, '', 0, 0);
UPDATE `{install:prefix}fields` SET `relation` = 'regular';
UPDATE `{install:prefix}fields` SET `thumb_height` = 200, `thumb_width` = 200 WHERE `name` = 'avatar';

INSERT INTO `{install:prefix}fields_groups` (`name`, `item`, `order`, `collapsed`, `tabview`) VALUES
('general', 'members', 1, 0, 1);

INSERT INTO `{install:prefix}fields_pages` (`page_name`, `field_id`, `extras`) VALUES
('members', 2, 'core'),
('members', 3, 'core'),
('members', 4, 'core'),
('profile', 1, 'core'),
('profile', 2, 'core'),
('profile', 4, 'core'),
('favorites', 2, 'core'),
('favorites', 3, 'core'),
('favorites', 4, 'core'),
('member_registration', 1, 'core'),
('member_registration', 2, 'core'),
('member_registration', 3, 'core'),
('view_member', 2, 'core'),
('view_member', 3, 'core'),
('view_member', 4, 'core');

INSERT INTO `{install:prefix}hooks` (`name`, `code`, `status`, `order`, `type`, `page_type`) VALUES
('smartyFrontAfterHeadSection', '{if $config.ckeditor_code_highlighting}\r\n	{ia_print_js files=''utils/syntaxhighlighter/js/core-min''}\r\n	{ia_print_css files=''_IA_URL_js/utils/syntaxhighlighter/css/shCore-min,_IA_URL_js/utils/syntaxhighlighter/css/shCoreDefault-min,_IA_URL_js/utils/syntaxhighlighter/css/shThemeDefault-min''}\r\n\r\n	{ia_add_js}\r\n		SyntaxHighlighter.autoloader(\r\n			[''applescript'', ''js/utils/syntaxhighlighter/js/shBrushAppleScript-min.js''],\r\n			[''actionscript3 as3'', ''js/utils/syntaxhighlighter/js/shBrushAS3-min.js''],\r\n			[''bash shell'', ''js/utils/syntaxhighlighter/js/shBrushBash-min.js''],\r\n			[''coldfusion cf'', ''js/utils/syntaxhighlighter/js/shBrushColdFusion-min.js''],\r\n			[''c# c-sharp csharp'', ''js/utils/syntaxhighlighter/js/shBrushCSharp-min.js''],\r\n			[''cpp c'', ''js/utils/syntaxhighlighter/js/shBrushCpp-min.js''],\r\n			[''css'', ''js/utils/syntaxhighlighter/js/shBrushCss-min.js''],\r\n			[''java'', ''js/utils/syntaxhighlighter/js/shBrushJava-min.js''],\r\n			[''js jscript javascript'', ''js/utils/syntaxhighlighter/js/shBrushJScript-min.js''],\r\n			[''objective-c objc cocoa'', ''js/utils/syntaxhighlighter/js/shBrushObjC-min.js''],\r\n			[''perl pl'', ''js/utils/syntaxhighlighter/js/shBrushPerl-min.js''],\r\n			[''php'', ''js/utils/syntaxhighlighter/js/shBrushPhp-min.js''],\r\n			[''text plain'', ''js/utils/syntaxhighlighter/js/shBrushPlain-min.js''],\r\n			[''py python'', ''js/utils/syntaxhighlighter/js/shBrushPython-min.js''],\r\n			[''rails ror ruby'', ''js/utils/syntaxhighlighter/js/shBrushRuby-min.js''],\r\n			[''sql'', ''js/utils/syntaxhighlighter/js/shBrushSql-min.js''],\r\n			[''vb vbnet'', ''js/utils/syntaxhighlighter/js/shBrushVb-min.js''],\r\n			[''xml xhtml xslt html'', ''js/utils/syntaxhighlighter/js/shBrushXml-min.js'']\r\n		);\r\n\r\n		SyntaxHighlighter.defaults[''auto-links''] = false;\r\n		SyntaxHighlighter.defaults[''toolbar''] = false;\r\n\r\n		SyntaxHighlighter.all();\r\n	{/ia_add_js}\r\n{/if}', 'active', 1, 'smarty', 'front'),
('smartyAdminAfterHeadSection', '{if $config.ckeditor_code_highlighting}\r\n	{ia_print_js files=''utils/syntaxhighlighter/js/core-min''}\r\n	{ia_print_css files=''_IA_URL_js/utils/syntaxhighlighter/css/shCore-min,_IA_URL_js/utils/syntaxhighlighter/css/shCoreDefault-min,_IA_URL_js/utils/syntaxhighlighter/css/shThemeDefault-min''}\r\n\r\n	{ia_add_js}\r\n		SyntaxHighlighter.autoloader(\r\n			[''applescript'', ''js/utils/syntaxhighlighter/js/shBrushAppleScript-min.js''],\r\n			[''actionscript3 as3'', ''js/utils/syntaxhighlighter/js/shBrushAS3-min.js''],\r\n			[''bash shell'', ''js/utils/syntaxhighlighter/js/shBrushBash-min.js''],\r\n			[''coldfusion cf'', ''js/utils/syntaxhighlighter/js/shBrushColdFusion-min.js''],\r\n			[''c# c-sharp csharp'', ''js/utils/syntaxhighlighter/js/shBrushCSharp-min.js''],\r\n			[''cpp c'', ''js/utils/syntaxhighlighter/js/shBrushCpp-min.js''],\r\n			[''css'', ''js/utils/syntaxhighlighter/js/shBrushCss-min.js''],\r\n			[''java'', ''js/utils/syntaxhighlighter/js/shBrushJava-min.js''],\r\n			[''js jscript javascript'', ''js/utils/syntaxhighlighter/js/shBrushJScript-min.js''],\r\n			[''objective-c objc cocoa'', ''js/utils/syntaxhighlighter/js/shBrushObjC-min.js''],\r\n			[''perl pl'', ''js/utils/syntaxhighlighter/js/shBrushPerl-min.js''],\r\n			[''php'', ''js/utils/syntaxhighlighter/js/shBrushPhp-min.js''],\r\n			[''text plain'', ''js/utils/syntaxhighlighter/js/shBrushPlain-min.js''],\r\n			[''py python'', ''js/utils/syntaxhighlighter/js/shBrushPython-min.js''],\r\n			[''rails ror ruby'', ''js/utils/syntaxhighlighter/js/shBrushRuby-min.js''],\r\n			[''sql'', ''js/utils/syntaxhighlighter/js/shBrushSql-min.js''],\r\n			[''vb vbnet'', ''js/utils/syntaxhighlighter/js/shBrushVb-min.js''],\r\n			[''xml xhtml xslt html'', ''js/utils/syntaxhighlighter/js/shBrushXml-min.js'']\r\n		);\r\n\r\n		SyntaxHighlighter.defaults[''auto-links''] = false;\r\n		SyntaxHighlighter.defaults[''toolbar''] = false;\r\n\r\n		SyntaxHighlighter.all();\r\n	{/ia_add_js}\r\n{/if}', 'active', 2, 'smarty', 'admin'),
('editItemSetSystemDefaults', 'if (isset($item[''featured'']) && $item[''featured''])\r\n{\r\n	$item[''featured_end''] = date(iaDb::DATETIME_SHORT_FORMAT, strtotime($item[''featured_end'']));\r\n}\r\nelse\r\n{\r\n	$date = getdate();\r\n	$date = mktime($date[''hours''], $date[''minutes''] + 1, 0, $date[''mon''] + 1, $date[''mday''], $date[''year'']);\r\n	$item[''featured_end''] = date(iaDb::DATETIME_SHORT_FORMAT, $date);\r\n}\r\n\r\nif (isset($item[''sponsored'']) && $item[''sponsored''])\r\n{\r\n	$item[''sponsored_end''] = date(iaDb::DATETIME_SHORT_FORMAT, strtotime($item[''sponsored_end'']));\r\n}\r\n\r\nif (isset($item[''member_id'']))\r\n{\r\n	$item[''owner''] = '''';\r\n	if ($item[''member_id''] > 0)\r\n	{\r\n		$iaUsers = $iaCore->factory(''users'');\r\n		if ($ownerInfo = $iaUsers->getInfo((int)$item[''member_id'']))\r\n		{\r\n			$item[''owner''] = $ownerInfo[''fullname''];\r\n		}\r\n	}\r\n}', 'active', 5, 'php', 'admin');

INSERT INTO `{install:prefix}items` (`payable`, `item`, `package`, `pages`) VALUES
(1, 'members', 'core', 'profile,view_member'),
(0, 'transactions', 'core', '');

INSERT INTO `{install:prefix}items_pages` (`page_name`, `item`) VALUES
('profile', 'members'),
('view_member', 'members'),
('member_registration', 'members'),
('members', 'members');

INSERT INTO `{install:prefix}members` (`usergroup_id`, `username`, `email`, `date_reg`, `date_update`, `fullname`) VALUES
(1, '{install:admin_username}', '{install:email}', NOW(), NOW(), 'Administrator');

INSERT INTO `{install:prefix}menus` (`parent_id`, `menu_id`, `el_id`, `page_name`) VALUES
('0', 2, '1_001', 'index'),
('0', 3, '1_002', 'index'),
('0', 3, '10_003', 'members'),
('0', 3, '3_004', 'search'),
('0', 4, '14_005', 'profile'),
('0', 4, '9_006', 'favorites'),
('0', 4, '15_007', 'member_balance'),
('0', 5, '20_009', 'about'),
('0', 5, '21_010', 'policy'),
('0', 5, '22_011', 'terms'),
('0', 5, '24_012', 'advertise'),
('0', 5, '23_013', 'help');

INSERT INTO `{install:prefix}pages` (`group`, `name`, `service`, `readonly`, `status`, `last_updated`, `alias`, `nofollow`, `filename`, `menus`, `parent`, `suburl`) VALUES
(2, 'index', 0, 0, 'active', NOW(), '', 0, 'page', 'main,inventory', '', ''),
(1, 'redirect', 1, 1, 'active', NOW(), '', 0, '', '', '', ''),
(1, 'search', 0, 1, 'active', NOW(), 'search/', 1, '', 'main', '', ''),
(1, 'advsearch', 0, 1, 'active', NOW(), 'advsearch/', 1, 'search', '', '', ''),
(1, 'captcha', 1, 1, 'active', NOW(), 'captcha', 1, '', '', '', ''),
(1, 'cron', 1, 1, 'active', NOW(), '', 0, '', '', '', ''),
(1, 'actions', 1, 1, 'active', NOW(), '', 0, '', '', '', ''),
(1, 'pay', 1, 1, 'active', NOW(), 'pay/', 0, '', '', '', ''),
(3, 'favorites', 0, 1, 'active', NOW(), 'profile/favorites/', 1, '', 'account', 'profile', ''),
(3, 'members', 0, 1, 'active', NOW(), 'members/', 0, '', 'main', '', 'members'),
(3, 'login', 0, 1, 'active', NOW(), 'login/', 1, '', '', '', ''),
(3, 'view_member', 0, 1, 'active', NOW(), 'members/info/', 0, '', '', 'members', 'members'),
(3, 'profile', 0, 1, 'active', NOW(), 'profile/', 1, '', 'account', '', ''),
(3, 'member_balance', 0, 1, 'active', NOW(), 'profile/balance/', 1, 'transactions', 'account', 'profile', ''),
(3, 'member_registration', 0, 1, 'active', NOW(), 'registration/', 1, 'registration', '', '', ''),
(3, 'register_confirm', 1, 1, 'active', NOW(), 'confirm/', 1, 'registration', '', '', ''),
(3, 'member_password_forgot', 1, 1, 'active', NOW(), 'forgot/', 1, 'registration', '', '', ''),
(2, 'page', 1, 1, 'active', NOW(), '', 0, 'page', '', '', ''),
(2, 'about', 0, 0, 'active', NOW(), '', 0, 'page', '', '', ''),
(2, 'policy', 0, 0, 'active', NOW(), '', 0, 'page', '', '', ''),
(2, 'terms', 0, 0, 'active', NOW(), '', 0, 'page', '', '', ''),
(2, 'help', 0, 0, 'active', NOW(), '', 0, 'page', '', '', ''),
(2, 'advertise', 0, 0, 'active', NOW(), '', 0, 'page', '', '', '');

INSERT INTO `{install:prefix}usergroups` VALUES
(1, 'Administrators', 1),
(2, 'Moderators', 1),
(4, 'Guests', 1),
(8, 'Registered', 1);

INSERT INTO `{install:prefix}language` (`key`, `value`, `category`) VALUES
('_action_', '- Action -', 'admin'),
('_no_parent_page_', '- no parent page -', 'admin'),
('_page_removed_', '-page removed-', 'admin'),

('access_denied', 'Access denied', 'admin'),
('action-add', 'Add action on ":page"', 'admin'),
('action-config', 'Configuration on ":page"', 'admin'),
('action-delete', 'Delete action on ":page"', 'admin'),
('action-edit', 'Edit action on ":page"', 'admin'),
('action-read', 'Allow to view ":page"', 'admin'),
('action_not_allowed_since_you_only_admin', 'This action is not allowed since currently you are the only active administrator.', 'admin'),
('activate', 'Activate package', 'admin'),
('add_another_one', 'Add another one', 'admin'),
('add_block', 'Add Block', 'admin'),
('add_drop_table', 'Add DROP TABLE', 'admin'),
('add_field', 'Add Field', 'admin'),
('add_item_value', 'Add Item Value', 'admin'),
('add_member', 'Add Member', 'admin'),
('add_menu', 'Add Menu', 'admin'),
('add_new_phrase', 'Add New Phrase', 'admin'),
('add_new_transaction', 'Do you want to add another transaction?', 'admin'),
('add_one_more_phrase', 'Do you want to add one more phrase?', 'admin'),
('add_page', 'Add Page', 'admin'),
('add_plan', 'Add Plan', 'admin'),
('add_transaction', 'Add Transaction', 'admin'),
('add_usergroup', 'Add Usergroup', 'admin'),
('add_quick_link', 'Add quick link', 'admin'),
('added_date_is_incorrect', 'Added date is incorrect.', 'admin'),
('admin_check_new_password', 'Please check your email for a confirmation link.', 'admin'),
('admin_login--read', 'Allow Access To Admin Panel', 'admin'),
('admin_pages', 'Admin Panel Pages', 'admin'),
('admin_pages-members--password', 'Allow to change member password', 'admin'),
('admin_pages-members--usergroup', 'Allow to change member usergroup', 'admin'),
('admin_pages-blocks--html', 'Allow to create HTML blocks', 'admin'),
('admin_pages-blocks--order', 'Allow to change blocks order', 'admin'),
('admin_pages-blocks--php', 'Allow to create PHP blocks', 'admin'),
('admin_pages-blocks--plain', 'Allow to create plain text blocks', 'admin'),
('admin_pages-blocks--smarty', 'Allow to create Smarty blocks', 'admin'),
('admin_pages-blocks--visual', 'Allow to use Visual Mode', 'admin'),
('admin_pages-configuration--edit', 'Allow to modify configuration', 'admin'),
('admin_pages-configuration--read', 'Allow access to Configuration page', 'admin'),
('admin_pages-database_manage--consistency', 'Allow access to Consistency page', 'admin'),
('admin_pages-database_manage--export', 'Allow to export SQL dump', 'admin'),
('admin_pages-database_manage--import', 'Allow to import dumps', 'admin'),
('admin_pages-database_manage--reset', 'Allow to reset site data', 'admin'),
('admin_pages-database_manage--sql', 'Allow to run SQL queries', 'admin'),
('admin_pages-hooks--read', 'Allow to view hooks list', 'admin'),
('admin_pages-hooks--edit', 'Allow to edit a hook', 'admin'),
('admin_pages-hooks--delete', 'Allow to delete a hook', 'admin'),
('admin_pages-index--cache', 'Allow to clear cache', 'admin'),
('admin_pages-index--phpinfo', 'Allow to view PHP info', 'admin'),
('admin_pages-index--sitemap', 'Allow to generate the sitemap', 'admin'),
('admin_pages-fields--member', 'Allow to manage member fields', 'admin'),
('admin_pages-packages--activate', 'Allow to activate packages', 'admin'),
('admin_pages-packages--install', 'Allow to install packages', 'admin'),
('admin_pages-packages--set_default', 'Allow to set/reset default', 'admin'),
('admin_pages-packages--uninstall', 'Allow to uninstall packages', 'admin'),
('admin_pages-packages--upgrade', 'Allow to upgrade packages', 'admin'),
('admin_pages-pages--add', 'Allow to add new page', 'admin'),
('admin_pages-pages--delete', 'Allow to delete a page', 'admin'),
('admin_pages-pages--edit', 'Allow to modify a page', 'admin'),
('admin_pages-pages--home', 'Allow to change the Home page', 'admin'),
('admin_pages-pages--read', 'Allow to view pages list', 'admin'),
('admin_pages-plugins--install', 'Allow to install plugin', 'admin'),
('admin_pages-plugins--reinstall', 'Allow to reinstall plugins', 'admin'),
('admin_pages-plugins--uninstall', 'Allow to uninstall plugins', 'admin'),
('admin_pages-plugins--update', 'Allow to update plugins', 'admin'),
('administrator_added', 'New administrator member created.', 'admin'),
('add_plugin', 'Add plugin', 'admin'),
('all_members', 'All Members', 'admin'),
('already_home_page', 'This page has been set as your homepage. You may not turn it off.', 'admin'),
('and_then', 'And then', 'admin'),
('are_you_sure_install_plugin', 'Are you sure you wish to install this plugin?', 'admin'),
('are_you_sure_reinstall_plugin', 'Are you sure you wish to reinstall this plugin? All data of plugin will be lost. You will not be able to recover your plugin data after its reinstallation.', 'admin'),
('are_you_sure_to_delete_field', 'Are you sure to delete current field? All added information for this field will be lost.', 'admin'),
('are_you_sure_to_delete_fieldgroup', 'Are you sure to delete selected fields group?', 'admin'),
('are_you_sure_to_delete_selected_items', 'Are you sure you want to delete selected items?', 'admin'),
('are_you_sure_to_delete_selected_language', 'Are you sure you want to delete selected language? Note: All phrases will be permanently lost!', 'admin'),
('are_you_sure_to_delete_selected_members', 'Are you sure you want to delete selected members?', 'admin'),
('are_you_sure_to_delete_selected_menus', 'Are you sure you want to delete selected menus?', 'admin'),
('are_you_sure_to_delete_selected_pages', 'Are you sure you want to delete selected pages?', 'admin'),
('are_you_sure_to_delete_selected_phrases', 'Are you sure you want to delete selected phrases?', 'admin'),
('are_you_sure_to_delete_this_block', 'Are you sure you want to delete this block?', 'admin'),
('are_you_sure_to_delete_this_item', 'Are you sure you want to delete this item?', 'admin'),
('are_you_sure_to_delete_this_member', 'Are you sure you want to delete this member?', 'admin'),
('are_you_sure_to_delete_this_menu', 'Are you sure you want to delete this menu?', 'admin'),
('are_you_sure_to_delete_this_page', 'Are you sure you want to delete this page?', 'admin'),
('are_you_sure_to_delete_this_plan', 'Are you sure you want to delete this plan?', 'admin'),
('are_you_sure_to_delete_this_transaction', 'Are you sure you want to delete this transaction?', 'admin'),
('are_you_sure_to_delete_this_usergroup', 'Are you sure you want to delete this usergroup? All the users of this usergroup will be assigned to the Registered usergroup.', 'admin'),
('are_you_sure_to_delete_transactions', 'Are you sure you want to delete transactions?', 'admin'),
('are_you_sure_to_uninstall_selected_plugin', 'Are you sure you wish to uninstall this plugin? Please take a note that all plugin data will be lost. This action cannot be reverted.', 'admin'),
('ascii_required', 'Only alphanumeric characters are allowed', 'admin'),
('at_least_one_item_should_be_checked', 'At least one item should be selected', 'admin'),
('available_dump_files', 'Available Dump Files', 'admin'),
('available_plugins', 'Available Plugins', 'admin'),

('bad_iso_code', 'Bad country-ISO code.', 'admin'),
('banned', 'Banned', 'admin'),
('body', 'Body', 'admin'),
('body_incorrect', 'Message body or subject is empty.', 'admin'),
('block_contents', 'Contents', 'admin'),
('block_created', 'Block created.', 'admin'),
('block_languages_empty', 'Block languages is empty', 'admin'),
('block_type_tip_html', 'HTML type is used for formatted HTML display. You can use WYSIWYG editor for your block content. This block can be also used for JavaScript code, but you <span style=\"color: red;\">need to paste it in SOURCE mode</span>', 'admin'),
('block_type_tip_php', 'PHP is used to have php code in your block content.', 'admin'),
('block_type_tip_plain', 'Plain type is used when you wish to display simple information. It will be displayed as is with escaping HTML tags.', 'admin'),
('block_type_tip_smarty', 'Smarty type block is used for smarty code. You can get more information about Smarty template engine here: <a target=\"_blank\" href=\"http://www.smarty.net\">http://www.smarty.net</a>', 'admin'),
('blocks', 'Blocks', 'admin'),
('bug_report', 'Bug Report', 'admin'),

('cache_dropped', 'Cache has been dropped.', 'admin'),
('cant_open_sql', 'Could not open file with SQL instructions: :filename', 'admin'),
('cant_write_sql', 'Could not write to file :filename.', 'admin'),
('calendar_dow', 'S,M,T,W,T,F,S', 'admin'),
('calendar_ml', 'January,February,March,April,May,June,July,August,September,October,November,December', 'admin'),
('calendar_ms', 'Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec', 'admin'),
('change_usergroup_to', 'Change usergroup to ... after plan change', 'admin'),
('changelog', 'Changelog', 'admin'),
('changelog_added', 'New Features', 'admin'),
('changelog_bugfixes', 'Bugfixes', 'admin'),
('changelog_modified', 'Improvements', 'admin'),
('changelog_other', 'Other Changes', 'admin'),
('chars_left', 'characters left', 'admin'),
('checkboxes', 'Checkboxes', 'admin'),
('consistency', 'Consistency', 'admin'),
('choose_import_file', 'Please choose a file to be imported.', 'admin'),
('clear', 'Clear', 'admin'),
('clear_confirm', 'Are you sure you want to clear your form?', 'admin'),
('clear_default', 'Clear default value', 'admin'),
('clear_reset', 'Are you sure you wish to clear all your data? Note this operation is irreversible and all your items data will be lost.', 'admin'),
('closing_window_with_unsaved_changes', 'You are closing a window that has unsaved changes. Would you like to save your changes?', 'admin'),
('collapsible', 'Collapsible', 'admin'),
('config_empty_password', '-empty password-', 'admin'),
('config_empty_value', '-empty value-', 'admin'),
('config_groups', 'Configuration Groups', 'admin'),
('config_menu', 'Menu configuration', 'admin'),
('config_set_custom', 'Set custom value', 'admin'),
('config_set_default', 'Set default value', 'admin'),
('configuration', 'Configuration', 'admin'),
('contents', 'Contents', 'admin'),
('compare', 'Compare', 'admin'),
('impossible_to_compare_single_language', 'You need to have two or more languages to start comparing them.', 'admin'),
('compatibility', 'Min Core Version', 'admin'),
('complete_inserts', 'Complete Inserts', 'admin'),
('copy_default_language_to', 'Copy default language [<b>:lang</b>] to ', 'admin'),
('copy_language', 'Copy Language', 'admin'),
('copy_privileges_from', 'Copy Privileges From', 'admin'),
('core_and_db_versions_mismatch', 'DB and core files versions mismatch.', 'admin'),
('cost', 'Cost', 'admin'),
('created', 'Created.', 'admin'),
('crop', 'Crop', 'admin'),
('crop_tip', 'The mod will attempt to fit the image inside the "frame" create by the width and height arguments.', 'admin'),
('css_class_name', 'CSS class name', 'admin'),
('csv_format', 'CSV format', 'admin'),
('current_home_page', 'Current homepage', 'admin'),
('custom', 'Custom', 'admin'),
('customize', 'Customize', 'admin'),
('custom_perm', 'Custom Permissions', 'admin'),
('custom_modification', 'Custom Modification', 'admin'),
('custom_url', 'Custom URL', 'admin'),
('customization_mode_alert', 'You are in customization mode. Do not forget to save your changes.', 'admin'),

('dashboard', 'Dashboard', 'admin'),
('date_added', 'Date Added', 'admin'),
('date_modified', 'Date Modified', 'admin'),
('days', 'Days', 'admin'),
('days_ago', ':days days ago', 'admin'),
('deactivate', 'Deactivate package', 'admin'),
('default_language', 'Default Language', 'admin'),
('digit_only', 'digit only (1-255), default is 100', 'admin'),
('directory_not_writable', ':directory directory is not writable. You can not save to server.', 'admin'),
('display', 'Display', 'admin'),
('do', 'Do', 'admin'),
('documentation', 'Documentation', 'admin'),
('doc_extra_not_available', 'Data for this package is not available.', 'admin'),
('dropdown', 'Dropdown', 'admin'),

('edit_block', 'Edit Block', 'admin'),
('edit_field', 'Edit Field ":field"', 'admin'),
('edit_menu', 'Edit Menu', 'admin'),
('edit_page', 'Edit Page', 'admin'),
('edit_plan', 'Edit Plan', 'admin'),
('edit_phrases', 'Edit Phrases', 'admin'),
('empty', '-empty-', 'admin'),
('email_templates', 'Email Templates', 'admin'),
('email_templates_tags', 'Email Template Tags', 'admin'),
('email_templates_tags_info', 'You can use these tags in your email templates. They will be changed to real information while sending email templates. Click will paste it to template body.', 'admin'),
('empty_field', 'Empty field text', 'admin'),
('enable_no_follow', 'Enable No-Follow', 'admin'),
('enable_template_sending', 'Enable sending', 'admin'),
('enter_external_url', 'Enter External URL', 'admin'),
('error_block_name', 'Please input correct block name. It should be alpha numeric.', 'admin'),
('error_block_name_duplicate', 'Please change block name. There is a block with the same name in the database.', 'admin'),
('error_compare_same_languages', 'No way to compare same languages.', 'admin'),
('error_contents', 'Content field is empty.', 'admin'),
('error_filename', 'Filename field is empty.', 'admin'),
('error_incorrect_format_from_subrion', 'The plugins are in the incorrect format. Please contact the Subrion team.', 'admin'),
('error_incorrect_response_from_subrion', 'No response from subrion.com website. Please try again later or contact the Subrion team.', 'admin'),
('error_install_plugin', 'There is a problem while installing :plugin plugin. Please contact support team.', 'admin'),
('error_lang_contents', 'Content is empty for ":lang" language. Please input correct content.', 'admin'),
('error_lang_description', 'Description is empty for ":lang" language. Please input correct description.', 'admin'),
('error_lang_title', 'Title is empty for ":lang" language. Please input correct title.', 'admin'),
('error_plan_cost', 'Plan price can not be empty. Please correct it.', 'admin'),
('error_plan_not_exists', 'Plan does not exist.', 'admin'),
('error_plan_number_days', 'Please set correct number of days for this plan.', 'admin'),
('error_usergroup_incorrect', 'Title is incorrect. Please input correct title for the usergroup.', 'admin'),
('error_usergroup_exists', 'This group already exists. Please input different usergroup title.', 'admin'),
('error_while_doc_tabs', 'Unknown error while fetching documentation tabs.', 'admin'),
('external_url', 'External URL', 'admin'),
('export', 'Export', 'admin'),
('external_file', 'External File', 'admin'),
('export_language', 'Export Language', 'admin'),
('export_not_checked', 'You have not chosen what to export.', 'admin'),
('export_tables_incorrect', 'Incorrect export tables.', 'admin'),
('extra_actions', 'Extra actions', 'admin'),
('extra_changelog', 'Changelog', 'admin'),
('extra_description', 'Description', 'admin'),
('extra_documentation', 'Documentation', 'admin'),
('extra_installation', 'Installation', 'admin'),
('extra_screenshots', 'Screenshots', 'admin'),
--('extra_thumbnail_number', 'Number of extra thumbnails', 'admin'),

('feature_request', 'New Feature Request', 'admin'),
('featured_end', 'Featured end', 'admin'),
('feedback_terms', 'If you have any ideas how to improve our software, found a bug or want to request custom modification you are welcome to use this feedback form. We will log all your requests in our database.', 'admin'),
('field_added', 'Field added.', 'admin'),
('field_annotation', 'Field Annotation', 'admin'),
('field_default', 'Field default value', 'admin'),
('field_deleted', 'Field deleted.', 'admin'),
('field_created_for_item', 'This field was created for item', 'admin'),
('field_element_children', 'Configure item fields for this value', 'admin'),
('field_exists', 'Field already exists.', 'admin'),
('field_length', 'Field length', 'admin'),
('field_name_incorrect', 'Field name should consist of letters and numbers only. Length 2-60.', 'admin'),
('field_relation', 'Field relation', 'admin'),
('field_relation_dependent', 'Dependent field', 'admin'),
('field_relation_parent', 'Parent field', 'admin'),
('field_relation_regular', 'Regular field', 'admin'),
('field_required', '<span class=\"text-danger\">*</span>', 'admin'),
('field_values', 'Field values', 'admin'),
('fieldgroup_added', 'Field group added.', 'admin'),
('fieldgroup_deleted', 'Field group deleted.', 'admin'),
('field_add', 'Add Field', 'admin'),
('field_edit', 'Edit Field', 'admin'),
('field_group', 'Field group', 'admin'),
('field_group_add', 'Add Field Group', 'admin'),
('field_group_edit', 'Edit Field Group', 'admin'),
('field_groups', 'Field Groups', 'admin'),
('fields', 'Fields', 'admin'),
('fields_for_plans', 'Fields for plans only', 'admin'),
('fields_item', 'Fields item', 'admin'),
('fields_item_filter', 'Fields item filter', 'admin'),
('fields_type', 'Field type', 'admin'),
('fields_type_checkbox', 'Checkboxes Set', 'admin'),
('fields_type_combo', 'Dropdown List', 'admin'),
('fields_type_date', 'Date Input Field', 'admin'),
('fields_type_image', 'Single Image Upload', 'admin'),
('fields_type_number', 'Number Input', 'admin'),
('fields_type_pictures', 'Multiple Images Upload', 'admin'),
('fields_type_radio', 'Radio Buttons Set', 'admin'),
('fields_type_storage', 'Upload Attachment', 'admin'),
('fields_type_text', 'Single Line Text Input', 'admin'),
('fields_type_textarea', 'Multiline Textarea', 'admin'),
('fields_type_tip_checkbox', 'This field allows multiple values selection. ', 'admin'),
('fields_type_tip_combo', 'Other', 'admin'),
('fields_type_tip_date', 'This field adds calendar control to set the date.', 'admin'),
('fields_type_tip_image', 'This field value will be displayed as an image. ', 'admin'),
('fields_type_tip_number', 'This field can be searched by interval on Advanced Search page. Two inputs are created to set start and end values.', 'admin'),
('fields_type_tip_pictures', 'This field is displayed as a gallery of images. Lightbox display is used on View Item page.', 'admin'),
('fields_type_tip_radio', 'Other', 'admin'),
('fields_type_tip_storage', 'Other', 'admin'),
('fields_type_tip_text', 'Other', 'admin'),
('fields_type_tip_textarea', 'Other', 'admin'),
('fields_type_tip_url', 'This field value will be displayed as a hyperlink.', 'admin'),
('fields_type_url', 'URL Text Input', 'admin'),
('file_doesnt_exist', 'File does not exist.', 'admin'),
('file_format', 'File format', 'admin'),
('file_prefix', 'File Prefix', 'admin'),
('filename_notification', "The filename field should contain a full path to the file started with the folder name stored in the script's root folder.<br />Example: <b>templates/common/block_file.tpl</b>", 'admin'),
('fit', 'Fit', 'admin'),
('fit_tip', 'This mode attempts to resize an image proportionally in case it does not fit inner frame dimensions set by the administrator. If it fits the dimensions, an image will not be resized at all.', 'admin'),
('for_plan_only', 'For plans only', 'admin'),
('future_date_specified_for_added_date', 'The date in future specified for &quot;Added Date&quot; field.', 'admin'),

('global', 'Global', 'admin'),
('go_to_config', 'View settings', 'admin'),
('go_to_list', 'Go to list', 'admin'),
('go_to_manage', 'Manage plugin', 'admin'),
('group', 'Group', 'admin'),

('hide', 'Hide', 'admin'),
('hours_ago', ':hours hours ago', 'admin'),
('host_fields', 'Host Fields', 'admin'),
('html', 'HTML', 'admin'),

('id', 'ID', 'admin'),
('ie_update_warning', 'Warning!!! Your version of Internet Explorer is too old. It may cause malfunctions of the script. Please update the browser to the 8 or higher version.', 'admin'),
('image_height', 'Image Height', 'admin'),
('import', 'Import', 'admin'),
('import_from_pc', 'Import the language file from PC', 'admin'),
('import_from_server', 'Import the language file from your server', 'admin'),
('invalid_parameters', 'Invalid parameters.', 'admin'),
('inactive', 'Inactive', 'admin'),
('incompatible', 'Incompatible', 'admin'),
('incorrect_file_format', 'Incorrect file format.', 'admin'),
('incorrect_item', 'Please, choose a valid item', 'admin'),
('incorrect_key', 'Phrase key is incorrect.', 'admin'),
('incorrect_menu_name', 'Incorrect menu name.', 'admin'),
('incorrect_name_url', 'Incorrect name. Please fill in the URL field.', 'admin'),
('incorrect_owner_specified', 'Incorrect owner specified.', 'admin'),
('incorrect_text_field', 'Text field is incorrect.', 'admin'),
('incorrect_value', 'Please enter the value of the key.', 'admin'),
('image_uploaded', 'Image :name is successfully uploaded.', 'admin'),
('input_title', 'Please input title', 'admin'),
('insert', 'Insert', 'admin'),
('installed_plugins', 'Installed plugins', 'admin'),
('install', 'Install', 'admin'),
('install_not_deleted', 'Warning! In safety purposes you have to remove the :file file.', 'admin'),
('install_upgrade', 'Install or upgrade', 'admin'),
('installation_extra_requirement_doesnot_exist', 'The currently installed :type &ldquo;:extra&rdquo; is not compatible with the module.', 'admin'),
('installation_extra_requirement_exist', 'Requires the &ldquo;:extra&rdquo; :type to be installed.', 'admin'),
('installation_extra_requirement_incorrect', 'Invalid dependencies specified. Ignored.', 'admin'),
('installation_impossible', 'Installation is currently impossible.', 'admin'),
('invalid_plugin_dependencies', 'Invalid plugin dependencies', 'admin'),
('items_fields', 'Fields', 'admin'),
('invert', 'Invert', 'admin'),
('iso_code', 'ISO Code', 'admin'),
('item_down', 'DOWN', 'admin'),
('item_id', 'Item ID', 'admin'),
('item_up', 'UP', 'admin'),
('item_value', 'Item Value', 'admin'),
('items_deleted', ':num items deleted.', 'admin'),
('items_deleted_of', ':num of :total items deleted.', 'admin'),
('items_per_page', 'Items per page', 'admin'),
('items_updated_of', ':num of :total items updated.', 'admin'),

('just_now', 'just now', 'admin'),

('key_exists', 'The phrase with similar key already exists.', 'admin'),
('key_not_valid', 'Key is not valid only alphanumeric and underscore characters allowed.', 'admin'),
('key_parameter_is_empty', 'The :key parameter is empty.', 'admin'),

('lang_incorrect', 'Please choose correct language.', 'admin'),
('language_already_exists', 'Language already exists.', 'admin'),
('language_copied', 'New language created (:count phrases copied).', 'admin'),
('language_deleted', 'Selected language has been deleted.', 'admin'),
('languages_comparison', 'Comparison', 'admin'),
('last_updated', 'Last updated', 'admin'),
('legend', 'Legend', 'admin'),
('link_to', 'Display as a link to View Details', 'admin'),
('loading_widgets', 'Loading widgets...', 'admin'),
('local', 'Local', 'admin'),
('login_to', 'Login To Subrion CMS Admin Panel', 'admin'),
('login_to_text', 'Enter the login name into "Login" and password into the "Password" fields.\r\nThen click "Login".', 'admin'),
('location_sql_file', 'Location of MySQL upgrade file', 'admin'),

('mailer', 'Mailer', 'admin'),
('manage', 'Manage', 'admin'),
('mark_at_least_one_page', 'Mark at least one page to display field.', 'admin'),
('max_files', 'Max number of files', 'admin'),
('max_num_images', 'Max Images', 'admin'),
('member_add', 'Add a Member', 'admin'),
('member_added', 'Member added.', 'admin'),
('member_already_exist', 'Member already exists.', 'admin'),
('member_deleted', 'Member deleted.', 'admin'),
('member_edit', 'Edit Member', 'admin'),
('members_chart', 'Members chart', 'admin'),
('menu_doesnot_exists', 'Menu does not exist.', 'admin'),
('menu_exists', 'Menu with this name is already present. Please set another name.', 'admin'),
('menu_removed', 'Menu removed.', 'admin'),
('menus', 'Menu items', 'admin'),
('menus_deleted', 'Menus were deleted.', 'admin'),
('message_body', 'Message Body', 'admin'),
('meta_description', 'Meta-description', 'admin'),
('meta_keywords', 'Meta-keywords', 'admin'),
('minutes_ago', ':minutes minutes ago', 'admin'),
('mode', 'Mode', 'admin'),
('moved', 'Moved.', 'admin'),
('multi_language', 'Multilingual', 'admin'),
('mysql_options', 'MySQL Options', 'admin');

INSERT INTO `{install:prefix}language` (`key`, `value`, `category`) VALUES
('na', 'n/a', 'admin'),
('name', 'Name', 'admin'),
('name_is_incorrect', 'Name is incorrect.', 'admin'),
('new_language', 'New Language', 'admin'),
('new_password', 'New password', 'admin'),
('no_blocks', 'There are no blocks.', 'admin'),
('no_captcha_preview', 'No captcha preview.', 'admin'),
('no_extension', 'No extension', 'admin'),
('no_follow_url', 'No Follow URL', 'admin'),
('no_implemented_packages', 'No implemented packages.', 'admin'),
('no_packages', 'No packages.', 'admin'),
('no_parent_fields', 'No main fields for this item', 'admin'),
('no_plans', 'No Plans', 'admin'),
('no_plugins', 'No plugins.', 'admin'),
('no_rcpt', 'No Recipients', 'admin'),
('no_upgrades', 'No patches or upgrades available.', 'admin'),
('no_usergroup', 'No usergroup', 'admin'),
('not_remove', 'You may not delete this item.', 'admin'),
('not_required', 'not required', 'admin'),
('not_saved', 'No changes have been made. Nothing was saved.', 'admin'),
('nothing', 'Nothing', 'admin'),

('one_day_ago', 'one day ago', 'admin'),
('one_hour_ago', 'one hour ago', 'admin'),
('one_value', 'You have to add at least one value.', 'admin'),
('optimize_complete', 'Tables optimizing complete.', 'admin'),
('optimize_tables', 'Optimize tables', 'admin'),
('options', 'Options', 'admin'),
('original', 'Original', 'admin'),
('other_can', 'Other can', 'admin'),
('owner', 'Owner', 'admin'),
('owner_can', 'Owner can', 'admin'),
('owner_is_not_specified', 'Owner is not specified.', 'admin'),

('page_added', 'Page added.', 'admin'),
('page_content', 'Page Content', 'admin'),
('page_exists', 'Page with specified URL already exists. Please change URL.', 'admin'),
('page_external_url', 'Page External URL', 'admin'),
('page_name_exists', 'Page with specified name already exists.', 'admin'),
('page_preview', 'Page in draft', 'admin'),
('page_title', 'Page Title', 'admin'),
('page_title_incorrect', 'Please make sure you have added all page titles.', 'admin'),
('page_url_will_be', 'Page URL will be', 'admin'),
('pages', 'Frontend Pages', 'admin'),
('pages_contains', 'Include pages', 'admin'),
('package_activated', 'Package activated.', 'admin'),
('package_deactivated', 'Package deactivated.', 'admin'),
('package_error', 'You have to choose at least one package.', 'admin'),
('package_updated', 'Package updated.', 'admin'),
('package_version', 'Package Version', 'admin'),
('packages_avail', 'Available Packages', 'admin'),
('package_installed', 'Package installed.', 'admin'),
('package_uninstalled', 'Package uninstalled.', 'admin'),
('password_restore_description', "If you see this page that means that you have received an email with\r\n\r\nthis URL.\r\n\r\nThis page is intended to set a new password for your administration\r\n\r\naccount.\r\n\r\n<div style=\"color:red;padding:10px;border:1px solid gray\"><p>It is assumed that you know your username (login)</p><p>There is only one attempt!!!</p><p>Otherwise you\'ll have to request restoration again (in login page)</p></div>", 'admin'),
('path', 'Path', 'admin'),
('permissions', 'Permissions', 'admin'),
('permissions_members', 'Member permissions :member', 'admin'),
('permissions_usergroups', 'Usergroup permissions :usergroup', 'admin'),
('phrase_added', 'Phrase added.', 'admin'),
('phrase_manager', 'Phrase Manager', 'admin'),
('phrase_text', 'Phrase Text', 'admin'),
('place', 'Position in template', 'admin'),
('plan', 'Plan', 'admin'),
('plan_add', 'Add Plan', 'admin'),
('plan_deleted', 'Plan deleted.', 'admin'),
('plan_edit', 'Edit Plan', 'admin'),
('plans', 'Plans', 'admin'),
('plans_fields', 'Fields for plan', 'admin'),
('plugin', 'Plugin', 'admin'),
('plugin_files_physically_missed', 'Plugin files physically missed.', 'admin'),
('plugin_installed', '":name" plugin installed.', 'admin'),
('plugin_may_not_be_removed', 'Plugin may not be removed.', 'admin'),
('plugin_reinstalled', '":name" plugin reinstalled.', 'admin'),
('plugin_status_may_not_be_changed', 'Status of this plugin may not be changed.', 'admin'),
('plugin_updated', 'Plugin updated.', 'admin'),
('plugin_uninstalled', 'Selected plugin uninstalled.', 'admin'),
('plugins', 'Plugins', 'admin'),
('plugins_left', ':count more plugins left to be installed.', 'admin'),
('preview', 'Preview', 'admin'),

('query_history', 'Queries History', 'admin'),
('quick_access', 'Quick Access', 'admin'),

('radios', 'Radios', 'admin'),
('recent_activity', 'Recent activity', 'admin'),
('recent_package_activity', 'Recent :package activity', 'admin'),
('recount', 'recount', 'admin'),
('regular_field', 'Regular field', 'admin'),
('reinstall_plugin', 'Reinstall plugin', 'admin'),
('remote', 'Remote', 'admin'),
('removed', 'Removed.', 'admin'),
('repair', 'repair', 'admin'),
('repair_tables', 'Repair tables', 'admin'),
('repair_complete', 'Tables repairing complete.', 'admin'),
('reset_all', 'Reset all', 'admin'),
('reset_backup_alert', 'Please backup your data before resetting your items.', 'admin'),
('reset_choose_table', 'Choose entries to reset.', 'admin'),
('reset_default', 'Reset default', 'admin'),
('reset_default_package', 'Your package URLs will be reset. Please choose the URL that will be used to access your directory package. ', 'admin'),
('reset_default_success', 'Your package URLs have been reset.', 'admin'),
('reset_previous_default_success', 'Your previous default value has been reset.', 'admin'),
('reset_success', 'Reset successfully completed.', 'admin'),
('resize_mode', 'Resize mode', 'admin'),
('result', 'Result', 'admin'),
('request_submitted', 'Thanks. Your request has been submitted.', 'admin'),
('required_checks', 'Validation PHP code', 'admin'),
('required_extras_error', 'The extras you are trying to install requires the following :extras to be installed: :name (:version)', 'admin'),
('required_field', 'Required Field', 'admin'),
('required_fields', 'Required fields', 'admin'),
('required_template_error', 'The template you are trying to install requires the following :extras to be installed: :name (:version)', 'admin'),
('root_about', 'No additional prefixes will be added to package URL. This way is highly recommended for sites with one package installed. See more details in our <a href="http://www.subrion.com/forums/">User Forums</a>.', 'admin'),
('root_title', 'Script Root Installation', 'admin'),
('root_old', 'You currently have the ":name" package installed in your Script Root location. You can not have two packages installed in root simultaneously. If you still want to install in Root location please set the URL value for the ":name" package.', 'admin'),
('run_sql_queries', 'Run MySQL query/queries', 'admin'),

('save_as_file', 'Save as file', 'admin'),
('save_to_pc', 'Save to PC', 'admin'),
('save_to_server', 'Save to server', 'admin'),
('screenshot', 'Screenshot', 'admin'),
('script_upgraded', 'Your script has been automatically upgraded to version :version.', 'admin'),
('search_in_phrases', 'Search in Phrases', 'admin'),
('section', 'Search section', 'admin'),
('select_all', 'Select all', 'admin'),
('select_all_in_tab', 'Select all in this tab', 'admin'),
('select_none', 'Select None', 'admin'),
('send_confirm', 'Are you sure you wish to send this feedback to the Subrion Team?', 'admin'),
('server_info', 'Server Info', 'admin'),
('set_as_default_value', 'Set as default value', 'admin'),
('set_as_default_package', 'Set as default package', 'admin'),
('set_as_default_template', 'Activate', 'admin'),
('set_default_success', 'Changes saved. Your package is now available in root.', 'admin'),
('set_all_to', 'set all to', 'admin'),
('settings', 'Settings', 'admin'),
('show', 'Show', 'admin'),
('show_header', 'Show header', 'admin'),
('show_in_search_as', 'Show in search as', 'admin'),
('show_menus', 'Show in Menus', 'admin'),
('show_query_again', 'Show this query again', 'admin'),
('shown_on_pages', 'Shown on Pages', 'admin'),
('site_home', 'Site Home', 'admin'),
('sitemap_error', 'Sitemap file creation error! The file was not saved.', 'admin'),
('sitemap_regenerated', 'Sitemap file has been regenerated and is available at the following URL: <a href=":url" target="_blank">:url</a>.', 'admin'),
('sponsored_end', 'Sponsored End', 'admin'),
('sql_format', 'SQL format', 'admin'),
('sql_management', 'SQL Tool', 'admin'),
('stay_here', 'Stay here', 'admin'),
('start', 'Start', 'admin'),
('statistics', 'Statistics', 'admin'),
('sticky', 'Sticky', 'admin'),
('structure', 'Structure', 'admin'),
('subdirectory_about', 'Your package will be accessible in a subdirectory. We recommend to use this way on shared hostings when you have several packages installed. <br /> Ex.: domain.com/articles/, domain.com/links/, domain.com/autos/, etc.', 'admin'),
('subdirectory_title', 'Subdirectory Installation', 'admin'),
('subdomain_about', 'You can install the package as a subdomain. Note you should be able to modify your Apache config file to use package on a subdomain. More instructions can be found in our <a href="http://www.subrion.com/forums/">User Forums.</a><br /> Ex.: articles.domain.com, links.domain.com, autos.domain.com, etc.', 'admin'),
('subdomain_title', 'Subdomain Installation', 'admin'),
('submission_notif', 'Submission Notification', 'admin'),
('submit_feedback', 'Submit Feedback to the Subrion Team', 'admin'),
('subrion_new_plugins', 'Subrion new plugins', 'admin'),
('sure_uninstall_package', 'Are you sure you want to uninstall this package? Please be informed that all your package data will be lost.', 'admin'),
('system_fields', 'System Fields', 'admin'),
('system_notifications', 'System Notifications', 'admin'),

('tab_container', 'Tab container', 'admin'),
('table_dumped', 'Table :table successfully dumped into file :filename.', 'admin'),
('tables', 'Tables', 'admin'),
('tables_fields', 'Tables/Fields', 'admin'),
('template_downloaded', '":name" template downloaded.', 'admin'),
('template_empty', 'Template name is empty or incorrect.', 'admin'),
('template_file_error', 'Template file cannot be found. Use this file: :file.', 'admin'),
('template_folder_error', 'Template folder is undefined or incorrect.', 'admin'),
('template_installed', '":name" template installed.', 'admin'),
('text', 'Text', 'admin'),
('this_fields_displayed_only_for_plans', 'These fields are displayed for sponsored plans only.', 'admin'),
('thumb_width', 'Thumbnail width', 'admin'),
('thumb_height', 'Thumbnail height', 'admin'),
('title_alias', 'Title Alias', 'admin'),
('title_is_empty', 'Title is empty.', 'admin'),
('total_income', 'total income', 'admin'),
('total_members', 'total members', 'admin'),
('tooltip', 'Tooltip', 'admin'),
('tpl', 'Template filename', 'admin'),
('transaction_added', 'Transaction added.', 'admin'),
('transaction_deleted', 'Transaction deleted.', 'admin'),
('twitter_news', 'Twitter News', 'admin'),
('type', 'Type', 'admin'),
('type_here_to_search', 'Type here to search', 'admin'),
('type_of_field', 'Field type', 'admin'),

('uninstall', 'Uninstall', 'admin'),
('unique_name', 'Name value should be unique. Only latin letters, underscores, and digits are allowed.', 'admin'),
('upgrade_completed', 'MySQL dump file has been imported.', 'admin'),
('upload_plugin_error', 'Plugins directory is not writable.', 'admin'),
('upload_template_error', 'Templates directory is not writable.', 'admin'),
('upload_writable_permission', 'Upload folder has no writable permissions', 'admin'),
('use_real_prefix', 'Use real tables prefix', 'admin'),
('upgrade', 'Upgrade', 'admin'),
('upgrades', 'Upgrades', 'admin'),
('url_nofollow', 'Enable nofollow attribute', 'admin'),
('use_as_home_page', 'Use as your homepage', 'admin'),
('use_custom_signature', 'Use custom signature', 'admin'),
('use_editor', 'Use WYSIWYG editor', 'admin'),
('usergroup_added', 'Usergroup added.', 'admin'),
('usergroup_deleted', 'Usergroup deleted.', 'admin'),
('usergroup_disabled', 'You must have at least one administrator member.', 'admin'),
('usergroups', 'Usergroups', 'admin'),

('version', 'Version', 'admin'),
('view_as_tab', 'View as tab', 'admin'),
('view_roadmap', 'Development Roadmap', 'admin'),
('visible_for_admin', 'Visible for admin only', 'admin'),
('visible_on_pages', 'Visible on pages', 'admin'),
('visual_manage', 'Visual Manage', 'admin'),

('warning_fields_become_for_plan_only', 'Warning! If you check these fields they will be displayed for sponsored plans only.', 'admin'),
('welcome_to_admin_board', 'Welcome to your administration board, cap''n!', 'admin'),
('welcome_to_admin_panel', 'Welcome to<br>Subrion Admin Panel', 'admin'),
('without_title', 'Without title', 'admin'),
('wrong_site_logo_image_type', 'Only image types are allowed.', 'admin');

INSERT INTO `{install:prefix}language` (`key`, `value`, `category`) VALUES
('_not_assigned_', '&lt;not assigned&gt;', 'common'),
('_select_', '-- select --', 'common'),
('_status_', '- Status -', 'common'),

('401', 'You are  not authorized to access this page (401).', 'common'),
('403', 'You do not have permissions to access this page (403).', 'common'),
('404', 'Requested URL not found (404).', 'common'),

('active', 'Active', 'common'),
('add', 'Add', 'common'),
('add_funds', 'Add Funds', 'common'),
('added', 'Added', 'common'),
('address', 'Address', 'common'),
('admin_panel', 'Admin Panel', 'common'),
('advanced_search', 'Advanced Search', 'common'),
('all', 'All', 'common'),
('amount', 'Amount', 'common'),
('amount_less_min', 'Please input a greater amount.', 'common'),
('any', 'Any', 'common'),
('any_word', 'any word', 'common'),
('apply', 'apply', 'common'),
('approval', 'Approval', 'common'),
('asc', 'Ascending', 'common'),
('author', 'Author', 'common'),
('avatar', 'Avatar', 'common'),

('browse', 'Browse', 'common'),
('by', 'by', 'common'),

('cancel', 'Cancel', 'common'),
('category', 'Category', 'common'),
('change', 'change', 'common'),
('change_password', 'Change Password', 'common'),
('choose_file', 'and choose file on your computer.', 'common'),
('city', 'City', 'common'),
('click', 'Click', 'common'),
('click_here', 'Click here', 'common'),
('click_here_to_upload', 'Click here to upload...', 'common'),
('clicks', 'Clicks', 'common'),
('close', 'Close', 'common'),
('close_all', 'Close all', 'common'),
('create', 'Create', 'common'),
('code', 'Code', 'common'),
('collapsed', 'Collapsed', 'common'),
('collapse_all', 'Collapse All', 'common'),
('common', 'Common', 'common'),
('confirm', 'Confirm', 'common'),
('contributor', 'Contributor', 'common'),
('copy', 'Copy', 'common'),
('country', 'Country', 'common'),
('currency', 'Currency', 'common'),
('current', 'Current', 'common'),
('current_assets', 'Current Assets', 'common'),
('current_page', 'Current Page', 'common'),
('custom_url_exist', 'Custom URL already exist.', 'common'),

('day1', 'Monday', 'common'),
('day2', 'Tuesday', 'common'),
('day3', 'Wednesday', 'common'),
('day4', 'Thursday', 'common'),
('day5', 'Friday', 'common'),
('day6', 'Saturday', 'common'),
('day7', 'Sunday', 'common'),
('date', 'Date', 'common'),
('db_error', 'Database error.', 'common'),
('delete', 'Delete', 'common'),
('deleted', 'Deleted.', 'common'),
('desc', 'Descending', 'common'),
('description', 'Description', 'common'),
('default', 'Default', 'common'),
('details', 'Details', 'common'),
('disabled', 'Disabled', 'common'),
('discard', 'Discard', 'common'),
('done', 'Done', 'common'),
('download', 'Download', 'common'),
('draft', 'Draft', 'common'),

('email', 'Email', 'common'),
('edit', 'Edit', 'common'),
('enabled', 'Enabled', 'common'),
('extras', 'Extras', 'common'),
('empty_login', 'Either login or password is empty.', 'common'),
('err_message', 'Message cannot be empty.', 'common'),
('error', 'Error', 'common'),
('error_directory_readonly', 'Upload directory is not writable.', 'common'),
('error_duplicate_email', 'Email is already taken for another member. Please input a different email address.', 'common'),
('error_email_incorrect', 'E-mail is incorrect.', 'common'),
('error_login', 'Either login or password is invalid.', 'common'),
('error_password_empty', 'Please input correct password.', 'common'),
('error_password_match', 'Password does not match.', 'common'),
('error_save', 'Unknown error occurred while form save processing.', 'common'),
('error_tmp_directory_readonly', 'Temp directory is readonly. Please make it writable.', 'common'),
('error_url', 'Site URL is incorrect.', 'common'),

('forgot_password', 'Forgot your password?', 'common'),
('fullname', 'Full Name', 'common'),
('featured', 'Featured', 'common'),
('failed', 'Failed', 'common'),
('from', 'from', 'common'),
('from_email_err', 'Sender email is incorrect', 'common'),
('featured_status_finished_date_is_empty', 'Listing has been marked as a featured, but no finished date was specified.', 'common'),

('field__annotation', 'please upload only image files', 'common'),
('field_member_id', 'Member username', 'common'),
('field_avatar', 'Avatar', 'common'),
('field_avatar_annotation', 'Please upload image files only', 'common'),
('field_category_id_annotation', 'Select a category from the list', 'common'),
('field_cost', 'cost', 'common'),
('field_currency', 'Currency code', 'common'),
('field_date', 'Date', 'common'),
('field_description', 'Description', 'common'),
('field_email', 'Email', 'common'),
('field_fullname', 'Full Name', 'common'),
('field_gallery', 'Pictures', 'common'),
('field_gateway_name', 'Gateway', 'common'),
('field_is_empty', ':field is empty.', 'common'),
('field_is_not_selected', ':field is not selected.', 'common'),
('field_item', 'Item', 'common'),
('field_operation_name', 'Operation', 'common'),
('field_order_number', 'Order number', 'common'),
('field_pictures', 'Pictures', 'common'),
('field_sec_key', 'Secret key', 'common'),
('field_status', 'Status', 'common'),
('field_total', 'Total', 'common'),
('field_username', 'Username', 'common'),
('fieldgroup_general', 'General', 'common'),
('fieldgroup_description_members_general', '', 'common'),
('file_click_to_upload', 'Click Browse to upload file', 'common'),
('file_type_error', 'Files with ":extension" extension are only allowed.', 'common'),
('file_types', "Allowed file types (comma separated values (don't include point), example: pdf, doc, odf, mov)", 'common'),
('filename', 'Filename', 'common'),

('gateway', 'Gateway', 'common'),
('general', 'General', 'common'),
('general_info', 'General Information', 'common'),
('go', 'Go', 'common'),
('group_by', 'Group by', 'common'),

('image', 'Image', 'common'),
('image_click_to_upload', 'Click Browse to upload image', 'common'),
('image_width', 'Image Width', 'common'),
('incorrect_fullname', 'Please input correct full name.', 'common'),
('incorrect_username', 'Incorrect username', 'common'),
('ip_address', 'IP Address', 'common'),
('item', 'Item', 'common'),

('key', 'Key', 'common'),

('language', 'Language', 'common'),
('languages', 'Languages', 'common'),
('listings', 'Listings', 'common'),
('loading', 'Loading ...', 'common'),
('locked', 'Locked', 'common'),
('login', 'Login', 'common'),
('logout', 'Logout', 'common'),

('main_page', 'Home', 'common'),
('mark_as', 'Mark As:', 'common'),
('member', 'Member', 'common'),
('members', 'Members', 'common'),
('member_balance', 'Member Balance', 'common'),
('month', 'Month', 'common'),
('month1', 'January', 'common'),
('month2', 'February', 'common'),
('month3', 'March', 'common'),
('month4', 'April', 'common'),
('month5', 'May', 'common'),
('month6', 'June', 'common'),
('month7', 'July', 'common'),
('month8', 'August', 'common'),
('month9', 'September', 'common'),
('month10', 'October', 'common'),
('month11', 'November', 'common'),
('month12', 'December', 'common'),
('more', 'More', 'common'),
('move', 'Move', 'common'),
('move_to', 'Move To:', 'common'),

('name', 'Name', 'common'),
('next', 'Next', 'common'),
('no', 'No', 'common'),
('no_more_files', 'You can not upload more files. Limit exceeded.', 'common'),
('nothing_found', 'Nothing found.', 'common'),

('ok', 'Ok', 'common'),
('on', 'on', 'common'),
('online_members', 'Online Members', 'common'),
('operation', 'Operation', 'common'),
('open_close', 'Show / Hide the tree', 'common'),
('order', 'Order', 'common'),
('order_number', 'Order number', 'common'),
('other', 'Other', 'common'),

('page', 'Page', 'common'),
('pages', 'Pages', 'common'),
('parent', 'Parent', 'common'),
('passed', 'Passed', 'common'),
('password', 'Password', 'common'),
('password_confirm', 'Password Confirmation', 'common'),
('password_incorrect', 'Password is incorrect.', 'common'),
('pending', 'Pending', 'common'),
('pictures_info', 'Pictures', 'common'),
('plan_added', 'Plan added.', 'common'),
('plans', 'Plans', 'common'),
('position', 'Position', 'common'),
('previous', 'Previous', 'common'),
('profile', 'Profile', 'common'),
('payment_gateway', 'Payment gateway', 'common'),

('rank', 'Rank', 'common'),
('read', 'Read', 'common'),
('refresh', 'Refresh', 'common'),
('refunded', 'Refunded', 'common'),
('regular', 'Regular', 'common'),
('remove', 'Remove', 'common'),
('reset', 'Reset', 'common'),
('restore_password', 'Restore Password', 'common'),
('rss', 'RSS', 'common'),

('save', 'Save', 'common'),
('saved', 'Saved.', 'common'),
('save_changes', 'Save Changes', 'common'),
('search', 'Search', 'common'),
('search_for_text', 'Search for Text', 'common'),
('searchable', 'Searchable', 'common'),
('send', 'Send', 'common'),
('sponsored', 'Sponsored', 'common'),
('status', 'Status', 'common'),
('subject', 'Subject', 'common'),
('submit', 'Submit', 'common'),
('summary', 'Summary', 'common'),
('sure_rm_file', 'Are you sure want to remove the file?', 'common'),
('suspended', 'Suspended', 'common'),

('title', 'Title', 'common'),
('title_incorrect', 'Title is incorrect.', 'common'),
('templates', 'Templates', 'common'),
('time', 'Time', 'common'),
('total', 'Total', 'common'),
('transaction', 'Transaction ', 'common'),
('transactions', 'Transactions', 'common'),
('tree', 'Tree', 'common'),
('type_email_here', 'Type your email here', 'common'),

('unknown_upload', 'Unknown error during file upload.', 'common'),
('url', 'URL', 'common'),
('unconfirmed', 'Unconfirmed', 'common'),
('upload', 'Upload', 'common'),
('upload_correct_permission', "Couldn't copy uploaded image to the destination folder. Please make sure that the script has write permissions.", 'common'),
('upload_pictures', 'Upload Picture(s)', 'common'),
('users', 'Users', 'common'),
('usergroup', 'Usergroup', 'common'),
('username', 'Username', 'common'),
('username_incorrect', 'Username is incorrect.', 'common'),

('value', 'Value', 'common'),
('view', 'View', 'common'),
('view_all', 'View All', 'common'),
('views', 'Views', 'common'),

('write', 'Write', 'common'),

('yes', 'Yes', 'common');

INSERT INTO `{install:prefix}language` (`key`, `value`, `category`) VALUES
('active_users', 'Active Users', 'frontend'),
('add_favorite', 'Are you sure you wish to add this item to Favorites?', 'frontend'),
('add_to_favorites', 'Are you sure you wish to add this item to Favorites?', 'frontend'),
('advanced', 'Advanced', 'frontend'),
('amount_incorrect', 'Please input correct amount.', 'frontend'),
('are_you_sure_to_cancel_invoice', 'Are you sure you want to cancel your invoice?', 'frontend'),
('author_contact_request', 'Contact request regarding ":title"', 'frontend'),
('auto_generate_password', 'Auto generate password', 'frontend'),

('back_to_gateway_list', '{current_gateway} payment gateway, click <a href=\"javaScript:void(0);\" onclick=\"backToPaymentGatewayList()\">here</a> to choose another one', 'frontend'),
('balance_in_your_account', 'You have :currency :sum balance in your account.', 'frontend'),
('bots', 'Bots', 'frontend'),
('bots_visits', 'Visits last 24h (bots)', 'frontend'),
('by_fullname', 'full name', 'frontend'),
('by_username', 'username', 'frontend'),

('change_gateway', 'Change gateway', 'frontend'),
('chars_left', 'Chars left', 'frontend'),
('choose_image_file', 'and choose image file on your computer.', 'frontend'),
('confirmation_code_incorrect', 'Confirmation code is incorrect.', 'frontend'),
('confirmation_key_incorrect', 'Confirmation key is incorrect.', 'frontend'),
('current_password', 'Current Password', 'frontend'),

('date_added', 'Date', 'frontend'),
('delete_listing', 'Remove Listing', 'frontend'),
('dont_wait_redir', 'Click here if you do not want to wait.', 'frontend'),

('edit_listing', 'Edit Listing', 'frontend'),
('edit_subject', 'Edit subject', 'frontend'),
('edited_by', '<i>Last edited by <a href=\"{%URL%}\">{%USER%}</a></i>', 'frontend'),
('email_could_not_be_sent', 'E-mail could not be sent. Contact the site administration.', 'frontend'),
('enter_confirmation_code', 'Please enter confirmation code below', 'frontend'),
('error_no_member_email', 'No members registered with this email.', 'frontend'),

('favorites', 'My Favorites', 'frontend'),
('favorites_add_to', 'Add to Favorites', 'frontend'),
('favorites_remove_from', 'Remove from Favorites', 'frontend'),
('field_required', '<span class=\"note\">[Required]</span>', 'frontend'),
('first', 'First', 'frontend'),
('forgot', 'Forgot password?', 'frontend'),
('forgot_annotation', "Don't remember your login information? We all forget &mdash; no worries. Please enter your e-mail address below and we will send your login credentials.", 'frontend'),

('guest', 'Guest', 'frontend'),
('guests', 'Guests', 'frontend'),

('howmuch_funds', 'How much money would you like to add?', 'frontend'),

('invalid_addressee', 'Invalid addressee specified.', 'frontend'),
('invoice_deleted', 'Invoice deleted.', 'frontend'),

('last', 'Last', 'frontend'),
('listing_successfully_removed', 'Listing data has been removed.', 'frontend'),
('listing_successfully_submitted', 'Listing has been successfully submitted.', 'frontend'),
('listing_successfully_updated', 'Listing data has been successfully updated.', 'frontend'),
('live_visits', 'Visits last 24h (live)', 'frontend'),

('mail_sent', 'Email sent.', 'frontend'),
('member_created', 'Member registered! Thank you!', 'frontend'),
('member_doesnt_exist', 'The member does not exist anymore.', 'frontend'),
('msg', 'Message', 'frontend'),

('new_password', 'New Password', 'frontend'),
('new_password2', 'New Password [confirm]', 'frontend'),
('new_password_sent', 'New password has been sent to your email.', 'frontend'),
('no_funds', 'Your balance is empty.', 'frontend'),
('no_favorites', 'You have not added any favorite items.', 'frontend'),
('no_gateway', 'You have not installed any payment gateway plugin.', 'frontend'),
('no_members', 'No members. <a href=\"registration/\">Click here</a> to create new one.', 'frontend'),
('no_transaction', 'Sorry, no such transaction.', 'frontend'),
('no_transactions_records', 'You do not have any payment records in your history.', 'frontend'),

('online', 'Online', 'frontend'),
('order_number', 'Order number', 'frontend'),

('page_preview', 'This is how your page will look like once you save it in admin panel.', 'frontend'),
('password_changed', 'Password has been changed.', 'frontend'),
('password_empty', 'You have not entered a new password.', 'frontend'),
('password_protected_page', 'You must input a password to view this page.', 'frontend'),
('pay', 'Pay', 'frontend'),
('pay_using_account_funds', 'Pay using the funds available in your account.', 'frontend'),
('pay_external', 'Pay via payment system.', 'frontend'),
('pay_via_payment_gateways', 'You can pay via payment gateways.', 'frontend'),
('pay_reason', 'Reason', 'frontend'),
('payer_name', 'Payer name', 'frontend'),
('payer_email', 'Payer email', 'frontend'),
('payment', 'Payment', 'frontend'),
('payment_canceled', 'You have canceled the payment.', 'frontend'),
('payment_details', 'Payment details', 'frontend'),
('payment_done', 'Thank you for your payment. Your transaction has been completed.', 'frontend'),
('payment_date', 'Payment Date', 'frontend'),
('payment_redirect_message', "You will be automatically redirected to the item's page in :seconds. If you do not want to wait click the button below:", 'frontend'),
('payment_status', 'Payment status', 'frontend'),
('pictures', 'Pictures', 'frontend'),
('powered_by_subrion', 'Powered by <a href="http://www.subrion.com" title="Open Source CMS">Subrion CMS</a>', 'frontend'),
('print_preview', 'Print Page', 'frontend'),
('proceed_pay', 'Proceed to Payment', 'frontend'),
('protected_page', 'Protected page', 'frontend'),

('reg_confirm_adm_approve', 'Member confirmed. But it must be approved by administrator, usually it takes about 24 hours.', 'frontend'),
('reg_confirmation', 'Registration Confirmation', 'frontend'),
('reg_confirmed', 'Member confirmed. Please sign in.', 'frontend'),
('registration', 'Registration', 'frontend'),
('redirected_to_home', 'to be redirected to your site home page.', 'frontend'),
('register_login', 'Please Login or Register', 'frontend'),
('registration_annotation', 'Registration is simple and takes just few seconds. Please fill in the form below.', 'frontend'),
('remove_favorite', 'Are you sure you wish to remove this item from Favorites?', 'frontend'),
('remove_from_favorites', 'Remove from favorites.', 'frontend'),
('restore_pass_confirm', 'We have sent confirmation code to your email. Please check it and follow the instructions.', 'frontend'),

('search_criterias', 'Search Criterias', 'frontend'),
('search_equal', 'Equal', 'frontend'),
('search_not_equal', 'Not Equal', 'frontend'),
('search_greater', 'Greater than', 'frontend'),
('search_greater_equal', 'Greater or Equal', 'frontend'),
('search_lower', 'Lower than', 'frontend'),
('search_lower_equal', 'Lower or Equal', 'frontend'),
('search_like', 'Like This', 'frontend'),
('search_not_empty', 'Not Empty', 'frontend'),
('search_not_like', 'Not Like', 'frontend'),
('search_not_set', 'Not Set', 'frontend'),
('send_email', 'Send email', 'frontend'),
('send_message', 'Send message', 'frontend'),
('slogan', 'Content Management Software', 'frontend'),
('sort_by', 'Sort By', 'frontend'),
('starts_with', 'starts with', 'frontend'),
('switch_to_advanced_search', 'Switch to Advanced search', 'frontend'),
('switch_to_regular_search', 'Switch to Regular search', 'frontend'),

('thank_text', 'to get back to index page.', 'frontend'),
('thanks', 'Thank you.', 'frontend'),
('thankyou_head', '<p>Below is the information you submitted so far. You will be able to extend and edit this information via your member account.</p><p><span class=\"label label-important\">IMPORTANT!</span> Your account password has been sent to the following email address:</p>', 'frontend'),
('thankyou_tail', '<p>Please read our letter with further instructions.</p>', 'frontend'),
('this_transaction_already_passed', 'We already have this payment in our database. Transaction passed successfully.', 'frontend'),
('this_transaction_failed', 'This transaction failed', 'frontend'),
('total_paid', 'Total Paid', 'frontend'),

('unable_to_send_email', 'Unable to send e-mail.', 'frontend'),
('username_already_exists', 'Username already taken. Please input different username.', 'frontend'),
('username_empty', 'Make sure you have entered a valid username and your membership is active.', 'frontend'),
('username_or_email', 'Username or E-mail', 'frontend'),

('wait_for_gateway_answer', 'The payment is currently being processed by payment gateway. Please check it later. <a href=":url">Click here</a> to change payment gateway for this transaction.', 'frontend'),
('wait_redirect', 'Please wait, you will be redirected shortly.', 'frontend'),
('welcome', 'Welcome', 'frontend'),

('your_name', 'Your Full Name', 'frontend'),
('your_email', 'Your email', 'frontend'),
('your_password', 'Your password', 'frontend'),
('your_password_confirm', 'Confirm your password', 'frontend'),
('your_username', 'Your username', 'frontend'),
('youre_admin_browsing_disabled_front', 'Frontend is disabled for regular members. It''s only available for admin members. ', 'frontend'),
('youre_in_ie6_mode', 'You are using Internet Explorer 6! We highly recommend to upgrade your web browser!', 'frontend'),
('youre_in_manage_mode', 'You are in manage mode. <a href="?manage_exit=y">Exit</a>', 'frontend'),
('youre_in_preview_mode', 'You are in preview mode. <a href="?preview_exit=y">Exit</a>', 'frontend');

INSERT INTO `{install:prefix}language` (`key`, `value`, `category`) VALUES
('page_content_about', "<p>Page 'About Us' content goes here. You can edit it in Admin Panel ->  Content -> Pages.</p>", 'page'),
('page_content_advertise', "<p>Page 'Advertise Us' content goes here. You can edit it in Admin Panel ->  Content -> Pages.</p>", 'page'),
('page_content_help', '<p>Help page content goes here. You can edit it in Admin Panel ->  Content -> Pages.</p>', 'page'),
('page_content_index', '<p>Subrion is a new PHP content management system and it can be used for building both simple and enterprise-level sites. It includes an extensive plugin system that makes Subrion CMS extremely flexible and easy to use. There are several packages that can be used separately or together on one site. They are: article publishing script, auto classifieds package, realty classifieds script, and web directory package.</p><p>Subrion CMS is constantly being improved. If you have any feature requests you are welcome to post them in <a href=\"http://www.subrion.com/forums/\">Subrion CMS Support Forums</a>. Thanks for choosing Subrion Content Management System!</p>', 'page'),
('page_content_policy', "<p>Page 'Privacy Policy' content goes here. You can edit it in Admin Panel ->  Content -> Pages.</p>", 'page'),
('page_content_terms', "<p>Page 'Terms Of Use' content goes here. You can edit it in Admin Panel ->  Content -> Pages.</p>", 'page'),

('page_title_about', 'About Us', 'page'),
('page_title_members', 'Members', 'page'),
('page_title_member_password_forgot', 'Forgot Password', 'page'),
('page_title_advsearch', 'Advanced Search', 'page'),
('page_title_advertise', 'Advertise Us', 'page'),
('page_title_favorites', 'My Favorites', 'page'),
('page_title_index', 'Home', 'page'),
('page_title_help', 'Help', 'page'),
('page_title_login', 'Login', 'page'),
('page_title_member_balance', 'Member Balance', 'page'),
('page_title_pay', 'Pay', 'page'),
('page_title_policy', 'Privacy Policy', 'page'),
('page_title_profile', 'My Profile', 'page'),
('page_title_member_registration', 'Registration', 'page'),
('page_title_register_confirm', 'Registration Confirmation', 'page'),
('page_title_redirect', 'Redirecting', 'page'),
('page_title_search', 'Search', 'page'),
('page_title_terms', 'Terms of Use', 'page'),
('page_title_view_member', 'Member Details', 'page');

INSERT INTO `{install:prefix}language` (`key`, `value`, `category`) VALUES
('adminonly', 'The field will only be displayed in Admin Dashboard.', 'tooltip'),

('backup', 'Folder name where your DB backups are saved.', 'tooltip'),

('caching', 'If you use a slow shared hosting, this will cache your pages for faster loading.', 'tooltip'),
('charset', 'Default is UTF-8.', 'tooltip'),

('date_format', 'Select the preferred date format %e is timezone,  %Y is 4-digit year. See more in Smarty manual.', 'tooltip'),

('empty_field', 'This text will be displayed on view item page if this field has an empty value.', 'tooltip'),
('extra_actions', 'This code is executed every time on field change. It can be used for validation or any other operation.', 'tooltip'),

('for_plan_only', 'Specifies if the field should be available only when plan chosen.', 'tooltip'),

('lang', 'Select the preferred language of your site.', 'tooltip'),
('language_switch', 'Allows users to choose a language on the frontend of your site.', 'tooltip'),
('link_to_details', 'If specified, the field will be a link to the item details page.', 'tooltip'),
('locale', 'Sets locale information.', 'tooltip'),

('members_enabled', 'Enables members functionality for your Subrion CMS based website.', 'tooltip'),
('members_autoapproval', 'Members are activated automatically without any confirmation.', 'tooltip'),

('regular_field', 'Specifies if the field is a host or dependent field.', 'tooltip'),
('required_checks', 'This PHP code validates the field value when Required Field is ON. Please make sure you use correct code.', 'tooltip'),

('searchable', 'Specifies if the field is available to search by on Advanced Search page.', 'tooltip'),
('site', 'This will be your site name.', 'tooltip'),
('site_email', 'Email address you wish to get member changes and notifications sent to.', 'tooltip'),
('smarty_cache', 'Forces the template engine to rebuild the cache on every request. Increases the server load. It should only be used for debugging purposes.', 'tooltip'),
('alias_urlencode', 'Non-Latin (non-utf8) characters are encoded into special entities instead of being romanized.', 'tooltip'),
('smtp_password', 'Password for the username above.', 'tooltip'),
('smtp_server', 'That would be Ex. (smtp.yourdomain.com)', 'tooltip'),
('smtp_user', 'Username is usually specified with your email/hosting provider.', 'tooltip'),
('suffix', 'This text is added to Title on every page.', 'tooltip'),

('timezone', 'Select your server timezone.', 'tooltip'),

('underconstruction', 'The message below is shown in case "Display Frontend" option is disabled.', 'tooltip'),
('upgrade_available', 'Upgrade patch to version :version is available. In order to upgrade please <a href=":url">follow this link</a>.', 'admin');

UPDATE `{install:prefix}language` SET `code` = '{install:lang}', `original` = `value`;